angular.module('starter.controllers', [])

  .controller('TabCtrl', function ($rootScope, $scope, $window,$location, $state, $ionicHistory, $ionicTabsDelegate, Storage, CheckUserLogin, Variable, Public) {
    console.log("controllers TabCtrl start")
    $rootScope.msgnum = Number(Storage.get('msgnum')) || 0;

    $scope.onTabSelected = function (tab) {
      CheckUserLogin();
      console.log('onTabSelected:'+ tab);
      switch (tab) {
        case 'message':
          if (Storage.get('isPcUser')) {
            $state.go('tab.pcmessage', {}, {
              reload: true
            });
          } else if (Storage.get('fu_mobile')) {
            $state.go("tab.message", {}, {
              reload: true
            });
          } else {
            $location.url('/tab/message/quicklogin?source_url=/tab/message&back=true');
          }
          break;
        case 'appointment':
          if (Storage.get('isPcUser')) {
            $state.go("tab.pc-appt", {}, {
              reload: true
            });
          } else if (Storage.get('fu_mobile')) {
            $state.go("tab.user-appointment", {}, {
              reload: true
            });
          } else {
            $location.url('/tab/appointment/quicklogin?source_url=/tab/appointment&back=true');
          }
          break;
        case 'index':
          $state.go("tab.index", {}, {
            reload: true
          });
          break;
        case 'user':
          if (Storage.get('isPcUser')) {
            $location.path('/tab/pcuser');
          } else {
            //$location.path('/tab/user');
              if (!Storage.get('fu_mobile')) {
                  $location.path('/tab/quicklogin');
              }else{
                  $location.path('/tab/user/setting');

                  //$window.location.href = 'index.html#/tab/user/setting'
              }
          }
          break;
        case 'publish':
          $state.go("tab.publish", {}, {
            reload: true
          });
          break;
      }
      //			if (tab == 'index') {
      //			    StatusBar.overlaysWebView(true);
      //			} else {
      //			    StatusBar.overlaysWebView(false);
      //			    StatusBar.styleDefault();
      //			}
    };
    console.log("controllers TabCtrl end")
  })
  //开机启动画面；
  //.controller('SlideBoxCtrl',function($scope,$location,$state,$ionicHistory,$ionicTabsDelegate,Storage){})
  //首页控制器
  //如果没有选择城市，跳到选择城市页面
  // device.model     :返回设备的模型或产品的名称
  // device.cordova  :返回cordova的版本
  // device.uuid        :返回手机 uuid
  // device.version   :返回系统版本
  // device.platform  :返回手机的平台信息  (android/ios 等等)
  .controller('IndexCtrl', function ($rootScope, $scope, $state, $ionicPopup, $http, $location, $cordovaGeolocation, $ionicLoading, $ionicModal, $cordovaInAppBrowser, $ionicPlatform, jpushService, Storage, Search, CheckUserLogin, Variable, Public) {
    console.log("controllers IndexCtrl start")
    $rootScope.msgnum = Number(Storage.get('msgnum')) || 0;
    console.log("---进入应用1")
	$scope.askGoBrowser=function(){ 			 
          var r=confirm("是否跳转浏览器查看");
          if (r==true){							
            window.open('https://' + Variable.url + '/protocol?type=privacy');
			window.confirm.close();	
          }
	}
	$scope.addIframe=function(){
		var x = '<div id="privacyDiv" style="position:absolute; top: 0px; left: 0px; box-sizing: border-box; border-width: 40px; width: 100vw; height: 100vh; border-style: solid; border-color: rgba(0, 0, 0, 0.25); z-index: 999;pointer-events:auto;"><iframe id="privacyFrame" src="https://' + Variable.url + '/protocol?type=privacy&is_hide_back=1" style="border-width: 0px; width: 100%; height: 95%;"></iframe><div style=" width: 100%;height: 5%;font-size: large;text-align: center;background-color: #444;color: white;" onclick="document.getElementById(\'privacyDiv\').remove()">返回</div></div>';		
		$('body').append(x);			
		closeProtocolPopup();
	}
	
    if (ionic.Platform.isAndroid() || ionic.Platform.isIOS()) {
      $scope.showProtocol = true;

      if (!Storage.get('protocol')) {

        console.log("---申请是否同意")

        var protocolPopup = $ionicPopup.show({
          //template: '<p>欢迎您来到租房网！</p><p>请您仔细阅读以下条款，如果您对本协议的任何条款表示异议，您可以选择不进入租房网。</p><p>尊重和保护用户个人隐私是租房网的一项基本政策，租房网保证不对外公开或者向任何第三方提供单个用户的注册资料以及用户在使用网络服务时存储在租房网的非公开内容和信息。</p><p class="t-c">您可以阅读完整版<br><span style="color: #00a4ff;" ng-click="askGoBrowser();">用户协议与隐私政策</span></p>',
          //template: '<p>欢迎您来到租房网！</p><p>请您仔细阅读以下条款，如果您对本协议的任何条款表示异议，您可以选择不进入租房网。</p><p>尊重和保护用户个人隐私是租房网的一项基本政策，租房网保证不对外公开或者向任何第三方提供单个用户的注册资料以及用户在使用网络服务时存储在租房网的非公开内容和信息。</p><p class="t-c">您可以阅读完整版<br><span style="color: #00a4ff;" ng-click="closeProtocolPopup();openLink(\'https://' + Variable.url + '/protocol?type=privacy\')">用户协议与隐私政策</span></p>',
		  //template: '<p>欢迎您来到租房网！</p><p>请您仔细阅读以下条款，如果您对本协议的任何条款表示异议，您可以选择不进入租房网。</p><p>尊重和保护用户个人隐私是租房网的一项基本政策，租房网保证不对外公开或者向任何第三方提供单个用户的注册资料以及用户在使用网络服务时存储在租房网的非公开内容和信息。</p><p class="t-c">您可以阅读完整版<br><span style="color: #00a4ff;" ng-click="openLink(\'app_page?fu_app_id=null&url=list/1\')">用户协议与隐私政策</span></p>',
          //template: '<p>欢迎您来到租房网！</p><p>请您仔细阅读以下条款，如果您对本协议的任何条款表示异议，您可以选择不进入租房网。</p><p>尊重和保护用户个人隐私是租房网的一项基本政策，租房网保证不对外公开或者向任何第三方提供单个用户的注册资料以及用户在使用网络服务时存储在租房网的非公开内容和信息。</p><p class="t-c">您可以阅读完整版<br><span style="color: #00a4ff;" ng-click="addIframe();">用户协议与隐私政策</span></p>',
          template: '<div style="overflow: scroll;height: 200px;"><p>欢迎您使用租房网,请您阅读并同意<span style="color: #00a4ff;" ng-click="addIframe();">《隐私政策》</span>，特向您说明如下:</p><p>1.为保障您的账户安全,识别账户异常状态、保障交易安全,我们将收集您所使用的设备相关信息;</p><p>2.为了向您展示您所在区域可以浏览的房源、可购买的商品或服务,或离您最近的可租房源,基于您的明示授权,我们将收集您所使用的设备位置信息;</p><p>3.为确保房屋线上展示和租售交易功能的实现,在相关功能场景里,基于您的授权我们将收集您的账号信息、身份信息、房产信息、交易信息、第三方支付信息等,您若不使用相关功能有权拒绝授权;</p><p>4.为提升您的浏览体验，我们将缓存部分首页图片,为此需读取您的SD卡权限,您发布房源上传图片时需要调取相册权限,但我们不会主动读取您的SD卡数据;</p><p>5.若您对租房网使用有问题可直接点击“联系客服”,我们将申请使用您拨打电话的权限;</p><p>6.我们会采取业界先进的安全措施保护您的信息安全;</p><p>7.您可以在系统中撤回授权,或进入APP内设置,删除、修改个人信息,我们也会提供注销账户的方式。</p><p>8.为确保本应用处于关闭或后台运行状态下可正常接收到客户端推送的广播信息，本应用须使用(自启动)能力，将存在一定频率通过系统发送广播唤醒本应用自启动或关联启动行为，是因实现功能及服务所必要的。</p></div>',
          //template:'',
          title: '温馨提示',
          //title: '欢迎来到租房网',
          cssClass: 'protocol-popup',
          scope: $scope,
          buttons: [{
            text: '不同意',
            onTap: function (e) {
              ionic.Platform.exitApp();
              var x = '<div style="width:100%;height:100%;position: absolute;z-index: 9999;background-color: rgba(102,101,101,0.5);"></div>';
              $('body').append(x);
            }
          }, {
            text: '<b>同意</b>',
            //text: '<b>点击开始使用</b>',
            type: 'button-balanced',
            onTap: function (e) {
              $scope.showProtocol = false;
              Storage.set('protocol', true);

              // 进行权限申请
              console.log(device.platform);
              Public.initjpushService(jpushService);
              console.log(device.platform);
              Public.readPhoneState();
              console.log(device.platform);


                var myUrl = "https://" + Variable.url + "/index/getCityDataByIonic?cityid=" + Storage.get('city_id') + "&fu_app_id=&callback=JSON_CALLBACK";
                $http.jsonp(myUrl, {
                  cache: false
                }).success(
                    function (ret) {
                      $ionicLoading.hide();
                      console.log("http请求值获取111：",ret);
                      if (ret.code === 0) {
                        console.log(ret.data);
                        $scope.data = ret.data.rows;
                        $scope.index_regions = ret.data.index_regions;
                        $scope.rooms = ret.data.rooms;
                        $scope.space = ret.data.space;
                        $scope.region_data = ret.data.region_data;
                        $scope.flat_data = ret.data.flat_data;
                        Storage.set('hot_search', ret.data.hot_search);
                        Storage.set('cityDataCache', ret.data.rows);
                        Storage.set('rooms', ret.data.rooms);
                        Storage.set('space', ret.data.space);
                        Storage.set('index_regions', ret.data.index_regions);
                        Storage.set('cityInfo', ret.data.city_info);
                        Storage.set('region_data', ret.data.region_data);
                        Storage.set('flat_data', ret.data.flat_data);
                      } else {
                        $ionicPopup.alert({
                          title: '提示',
                          template: ret.msg
                        });
                      }
                    }
                ).error(function (err) {
                  console.log('err:' + err);
                });



              //setTimeout("console.log(device)", 5000 );
              /*
              var myCity = new BMap.LocalCity();
              myCity.get(function (result) {
                var city = result.name.replace('市', '');

                if (city != '深圳') {
                  var confirmPopup = $ionicPopup.confirm({
                    title: '提示',
                    template: '当前城市为深圳，是否切换城市？',
                    okText: '切换',
                    cancelText: '取消'
                  });
                  confirmPopup.then(function (res) {
                    if (res) {
                      $location.path('/tab/index/city');
                    }
                  });
                }
              });*/
            }
          },]
        });



        var deregisterBackButton = $ionicPlatform.registerBackButtonAction(function (e) { }, 401);
        protocolPopup.then(function (res) {
          deregisterBackButton();
        });
        $scope.closeProtocolPopup = function () {
          protocolPopup.close();
        };



      } else {
        //$("body").append('<script src="http://api.map.baidu.com/api?v=v2.0&ak=M1ux3pKOl7XaGqeTfxhOK2dR"></script>');
        $scope.showProtocol = false;
      }
    } else if (!Storage.get('city_id')) {
      /*
      var myCity = new BMap.LocalCity();
      myCity.get(function (result) {
        var city = result.name.replace('市', '');

        if (city != '深圳') {
          var confirmPopup = $ionicPopup.confirm({
            title: '提示',
            template: '当前城市为深圳，是否切换城市？',
            okText: '切换',
            cancelText: '取消'
          });
          confirmPopup.then(function (res) {
            if (res) {
              $location.path('/tab/index/city');
            }
          });
        }
      });*/
    }

    if (!Storage.get('city_id')) {
      Storage.set('city_id', 3399);
      Storage.set('city_name', '深圳');
      Storage.set('ct_index', 'sz');
      console.log("设置city_id默认值 3399 深圳 sz");
    }

    //跳转列表页
    $scope.goPropertyList = function (url) {
      console.log('goPropertyList');
      console.log(url);
      $state.go("tab.publish", {}, {
        reload: true
      });
      //跳转页面
      //$location.url('/tab/propertylist?source_url=/tab/appointment&back=true');
      /*
      var ajax_data;
      switch (url){
        case 'zufang':
          //ajax_data = 'data={"url":"https://'+Variable.url+'/'+Storage.get('ct_index')+'/zhengzu-list/page1"}';
          ajax_data = 'data={"url":"https://'+Variable.url+'/test/zhengzu-list/page2","city_id":3399,"randmath":""}';
          break;
        case 'pinpai':
          ajax_data = 'data={"cond":{"tags":{"famous_flat":true}},"uri":"/'+Storage.get('ct_index')+'/zhengzu-list/ff1"}';
          break;
        case 'zhengzu':
          ajax_data = 'data={"cond":{"rent_type":"rt1"},"uri":"/'+Storage.get('ct_index')+'/zufang-list/ff1/"}';
          break;
        case 'hezu':
          ajax_data = 'data={"cond":{"rent_type":"rt2"},"uri":"/'+Storage.get('ct_index')+'/zufang-list/ff1/"}';
          break;
      }

      console.log('ajax_data:');
      console.log(ajax_data);
      //获取列表数据
      $.ajax({
        type: "POST",
        url: "https://"+Variable.url+"/client/search/search/app_getMoreBuding",
        data: ajax_data
      }).done(function( data ) {
        console.log('data:');
        console.log( data );
        if(data.code == 0){

        }
      });
      //跳转页面
      $state.go('tab.property_list', {}, {
        reload: true
      });
      */

    };

    $scope.judgeUrl = function (url, type) {
console.log('controllers judgeUrl');
      if (Storage.get('fu_mobile')) {
        Public.openLinkInApp(url);
      } else {
        $location.url('/tab/apart/quicklogin?source_url=' + url);
        console.log("judgeUrl：",$location.url());
      }
    };

    $scope.toProperyList = function (url,searchBoxShow) {
      var url_arr = url.split('url=');

      console.log('/tab/property/list?url='+url_arr[1]+'&searchBoxShow='+searchBoxShow);
      $location.url('/tab/property/list?url='+url_arr[1]+'&searchBoxShow='+searchBoxShow);
    };
      $scope.toProperyListSearch = function () {
        console.log('/tab/property/list?showSearch=1');
        $location.url('/tab/property/list?showSearch=1');
      };

      $scope.toProperyListCond = function (type) {
          if(type == 'zf'){
              $location.url('/tab/property/list');
          }
          if(type == 'flat'){
              $location.url('/tab/property/list?condUri=ff1');
          }
          if(type == 'zhengzu'){
              $location.url('/tab/property/list?typeUri=zhengzu');
          }
          if(type == 'hezu'){
              $location.url('/tab/property/list?typeUri=hezu');
          }
      };
      $scope.toApartDetail = function (uri) {
          console.log(uri);
          var uri_arr = uri.split('&');
          $location.url('/tab/apart/detail?'+uri_arr[1]);
      };
      /*
      $scope.toProperyDetail = function () {
          $location.url('/tab/property/detail?url=https://mt.zufun.cn/test/mini-property/975/');
      };
      $scope.toPropertyMap = function () {
          $location.url('/tab/property/map');
      };
      $scope.toMem = function () {
          $location.url('/tab/appointment');
      };
      */



    $scope.openLink = function (url) {
      Public.openLinkInApp(url);
    };
    $scope.openLinkInSystem = function (url) {
      Public.openLinkInSystem(url);
    };

    $scope.openMessage = function () {
      CheckUserLogin();
      if (Storage.get('isPcUser')) {
        $state.go('tab.index-pcmessage', {}, {
          reload: true
        });
      } else if (Storage.get('fu_mobile')) {
        $state.go("tab.index-message", {}, {
          reload: true
        });
      } else {
        $location.url('/tab/apart/quicklogin?source_url=/tab/index');
      }
    };

    $scope.city_name = Storage.get('city_name');
    //获取regions(一天一次)
    var today = new Date();
    var hour = today.getHours();
    //  if(Storage.get('today') != today.toLocaleDateString()||!Storage.get('index_regions')){
    if ((Storage.get('hour') !== hour || !Storage.get('cityDataCache')) && Storage.get('protocol')) {
      Storage.set('hour', hour);
      //      Storage.set('today',today.toLocaleDateString());
      var myUrl = "https://" + Variable.url + "/index/getCityDataByIonic?cityid=" + Storage.get('city_id') + "&fu_app_id=" + Storage.get('fu_app_id') + "&callback=JSON_CALLBACK";
      console.log("进行数据获取：",myUrl);

      if (Storage.get('protocol')) {
        $ionicLoading.show({
          template: '<ion-spinner icon="ios" class="popup-loading"></ion-spinner>',
          noBackdrop: true,
          duration: 5000
        });
      }
      myUrl +='&PHPSESSID=2m32p3pas2rdah7o7q4nhqtn52';
      $http.jsonp(myUrl, {
        cache: false
      }).success(
        function (ret) {
          $ionicLoading.hide();
          console.log("http请求值获取：",ret);
          if (ret.code === 0) {
            console.log(ret.data);
            $scope.data = ret.data.rows;
            $scope.index_regions = ret.data.index_regions;
            $scope.rooms = ret.data.rooms;
            $scope.space = ret.data.space;
            $scope.region_data = ret.data.region_data;
            $scope.flat_data = ret.data.flat_data;
            Storage.set('hot_search', ret.data.hot_search);
            Storage.set('cityDataCache', ret.data.rows);
            Storage.set('rooms', ret.data.rooms);
            Storage.set('space', ret.data.space);
            Storage.set('index_regions', ret.data.index_regions);
            Storage.set('cityInfo', ret.data.city_info);
            Storage.set('region_data', ret.data.region_data);
            Storage.set('flat_data', ret.data.flat_data);
          } else {
            $ionicPopup.alert({
              title: '提示',
              template: ret.msg
            });
          }
        }
      ).error(function (err) {
        console.log('err:' + err);
      });
    } else {
      console.log("进行数据获取123：");
      $scope.data = Storage.get('cityDataCache');
      $scope.index_regions = Storage.get('index_regions');
      $scope.rooms = Storage.get('rooms');
      $scope.space = Storage.get('space');
      $scope.region_data = Storage.get('region_data');
      $scope.flat_data = Storage.get('flat_data');

      console.log("Storage缓存值获取：",$scope);

    }

    console.log("controllers IndexCtrl end")


  })
  //页面搜索；
  .controller('SearchCtrl', function ($scope, $http, $location, Storage, Public, Variable) {
    console.log('SearchCtrl-start');
    if (!Storage.get('city_id')) {
      $location.path('/tab/index/city');
    } else {
      $scope.hot_search = Storage.get('hot_search');
      //首页搜索：
      //首页搜索：
      var att_type_arr = [{
        id: 1,
        name: '租房'
      },
      {
        id: 2,
        name: '写字楼'
      }
      ];

      $scope.formData = {};
      $scope.formData.apt_type = 1;
      $scope.keyword = '';
      $scope.type = '';
      $scope.att_type_arr = att_type_arr;
      $scope.sendKeyword = function (keyword) {
        $scope.keyword = keyword;
        var myUrl = "https://" + Variable.url + "/client/search/search/getTipsByIonic?cityid=" + Storage.get('city_id') + "&keyword=" + encodeURI(keyword) + "&callback=JSON_CALLBACK";
            //myUrl +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
        $http.jsonp(myUrl).success(
          function (ret) {
            $scope.drop_tips = ret;
            if (ret != null && ret.length != 0) {
              $('.drop-tips-wrap').addClass('minHeight');
            } else {
              $('.drop-tips-wrap').removeClass('minHeight');
            }
          }
        ).error(function (err) {
          console.log('err:' + err);
        });
      };
      $scope.search = function (val, type) {
        var keyword = val || $scope.keyword;
        var type = type || $scope.type;
        if (1 == $scope.formData.apt_type) {
        var myUrl_scope= 'https://' + Variable.url + '/client/search/search/keySearchByIonic?cityid=' + Storage.get('city_id') + '&addr=' + encodeURI(keyword) + '&kh_type=' + type + '&url=/' + Storage.get("ct_index") + '/list/1&callback=JSON_CALLBACK ';
           //myUrl_scope +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
          $http.jsonp(myUrl_scope).success(
            function (ret) {
              Public.openLinkInApp(ret);
            }
          );
        } else {
        var myUrl_scope='https://' + Variable.url + '/client/search/officeSearch/keySearchByIonic?cityid=' + Storage.get('city_id') + '&addr=' + encodeURI(keyword) + '&kh_type=' + type + '&url=/' + Storage.get("ct_index") + '/officelist/1&callback=JSON_CALLBACK ';
          //myUrl_scope +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
          $http.jsonp(myUrl_scope).success(
            function (ret) {
              Public.openLinkInApp(ret);
            }
          );
        }
      };
    }

  })
  //选择城市页面控制
  .controller('IndexCityCtrl', function ($rootScope, $scope, $http, $location, $cordovaGeolocation, Storage, Search, Variable) {
    console.log('IndexCityCtrl-start');
    if (!Storage.get('city_id')) {
      Storage.set('city_id', 3399);
      Storage.set('city_name', '深圳');
      Storage.set('ct_index', 'sz');
    }
    //  $scope.current_city = '正在定位...';
    //  $scope.current_city_id = '';
    //
    //  var posOptions = {timeout: 10000, enableHighAccuracy: false};
    //  $cordovaGeolocation
    //    .getCurrentPosition(posOptions)
    //    .then(function (position) {
    //      var lat = position.coords.latitude,
    //          lng = position.coords.longitude;
    //
    //      var point = new BMap.Point(lng, lat); // 创建点坐标
    //      var gc = new BMap.Geocoder();
    //
    //      gc.getLocation(point, function(rs) {
    //          var addComp = rs.addressComponents;
    //          var city = addComp.city.replace('市', '');
    //
    //          $scope.$apply(function () {
    //              $scope.current_city = city;
    //          });
    //          angular.forEach(Search.citys,function(data){
    //              if(data.name == city){
    //                  $scope.current_city_id = data.id;
    //                  $scope.current_city_index = data.ct_index;
    //              }
    //          });
    //      });
    //    }, function(err) {
    //      $scope.current_city = '定位失败，请开启定位后重试';
    //  });

    //设置城市id
    $scope.set_city_id = function (id, name, ct_index) {
      if ($scope.current_city_id !== '' && 'current' == id) {
        id = $scope.current_city_id;
        name = $scope.current_city;
        ct_index = $scope.current_city_index;
      }

      if ('current' != id && id && name) {
        Storage.clearCity(); //清除缓存

        // 设置城市id、城市名字;
        Storage.set('city_id', id);
        Storage.set('city_name', name);
        Storage.set('ct_index', ct_index);

        $location.path('/tab/index');
      }
    };

    if (!$rootScope.cities) {
      var url = "https://" + Variable.url + "/getCityInfo?callback=JSON_CALLBACK";
      //url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
      $http.jsonp(url).success(
        function (ret) {
          $rootScope.cities = ret;
        }
      );
    }
  })
  /*
  注册、登录、找回密码
  */
  //登录
  .controller('LoginCtrl', function ($rootScope, $scope, $http, $location, $ionicPopup, $ionicLoading, $timeout, Storage, ShowTopTip, Variable, Md5, Public) {
    //		if($location.search().back) {
    //			$scope.hideTabs = false;
    //		} else {
    //			$scope.hideTabs = true;
    //		}
    console.log('LoginCtrl-start');
    //如果没有选择城市，跳到选择城市页面
    if (!Storage.get('city_id')) {
      $location.path('/tab/index/city');
    } else {
      //页面url
      var source_url = $location.search().source_url || '/tab/user/setting',
        fu_mobile = $location.search().fu_mobile,
        apartment_id = $location.search().apartment_id,
        apt_type = $location.search().apt_type;
      $scope.register_url = $location.url().replace('login', 'register');
      $scope.forget_url = $location.url().replace('login', 'forgetpwd');

      $scope.formData = {};
      $scope.formData.fu_mobile = fu_mobile || Storage.get('own_number');
      $scope.processForm = function () {
        if ($scope.formData.fu_mobile < 10000000000 || $scope.formData.fu_mobile > 99999999999 || !$scope.formData.fu_mobile) {
          ShowTopTip("请输入正确的手机号");

          return false;
        }

        if (!$scope.formData.password || $scope.formData.password.length < 6) {
          ShowTopTip("请输入正确的密码");

          return false;
        }

        if (!$scope.formData.pic_code || $scope.formData.pic_code.length != 4) {
          ShowTopTip("请输入正确的图形验证码");

          return false;
        }
        $ionicLoading.show({
          template: '<ion-spinner icon="ios" class="popup-loading"></ion-spinner>',
          noBackdrop: true,
          duration: 5000
        });
        var data = {
          source: 'zufun',
          fu_password: Md5.set($scope.formData.password),
          pic_code: $scope.formData.pic_code,
          fu_mobile: $scope.formData.fu_mobile,
          fu_app_id: Storage.get('fu_app_id')
        };
        var login_url = "https://" + Variable.url + "/client/memMng/memLogin/loginByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
        //login_url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
        $http.jsonp(login_url).success(
          function (ret) {
            $ionicLoading.hide();
            if (ret.code === 0) {
              Storage.set('fu_mobile', ret.data.fu_mobile);
              Storage.set('fu_name', ret.data.fu_name);
              Storage.set('msgnum', ret.data.msgnum);
              //设置消息数量
              $rootScope.msgnum = Number(ret.data.msgnum) || 0;

              //预约看房；
              if (apartment_id) {
                var data = {
                  apartment_id: apartment_id,
                  fu_mobile: $scope.formData.fu_mobile,
                  apt_type: apt_type,
                  fu_app_id: Storage.get('fu_app_id')
                };
                Public.addAppointment(data, function (ret) {
                  switch (Number(ret.code)) {
                    case 1: //报错
                      ShowTopTip(ret.msg);
                      break;
                    case 3: //已预约
                    case 4: //未预约、未关注
                    case 5: //未预约、已关注
                      $location.url(source_url + '?appt_code=' + ret.code + '&mem_appointment_id=' + ret.data);
                      break;
                  }
                });
              } else {
                $location.url(source_url);
              }
            } else {
              $ionicPopup.alert({
                title: '提示',
                template: ret.msg
              });
              $scope.get_pic_code();
            }
          }
        );
      };

      //图片验证码
      var pic_url = "https://" + Variable.url + "/client/memMng/memLogin/getPiccodeByIonic?callback=JSON_CALLBACK&fu_app_id="+Storage.get('fu_app_id');
      console.log('getPiccodeByIonic1');
      //pic_url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
      $scope.get_pic_code = function () {
        $http.jsonp(pic_url).success(
          function (ret) {
            if (ret.code === 0) {
              $scope.pic_src = ret.data;
            } else {
              alert(ret.msg);
            }
          }
        ).error(function (err) {
          console.log('err:' + err);
        });
      };
      $scope.get_pic_code();
    }
  })
  //快捷登录
  .controller('QuickLoginCtrl', function ($rootScope, $scope,$window, $http, $ionicLoading, $location, $ionicPopup, $interval, Storage, ShowTopTip, Variable, Md5, Public,CheckUserLogin) {
    if ($location.search().back) {
      $scope.hideTabs = false;
    } else {
      $scope.hideTabs = true;
    }

    $scope.url = $location.url().replace('quicklogin', 'login');

    //如果没有选择城市，跳到选择城市页面
    if (!Storage.get('city_id')) {
      $location.path('/tab/index/city');
    } else {
      //页面url
      var source_url = $location.search().source_url || '/tab/user/setting',
        fu_mobile = $location.search().fu_mobile;
      //页面url
      $scope.login_url = $location.url().replace('register', 'login');

      $scope.formData = {};
      $scope.formData.fu_mobile = fu_mobile || Storage.get('own_number');
      $scope.processForm = function () {
        if ($scope.formData.fu_mobile < 10000000000 || $scope.formData.fu_mobile > 99999999999 || !$scope.formData.fu_mobile) {
          ShowTopTip("请输入正确的手机号");

          return false;
        }

        if (!$scope.formData.vcode || $scope.formData.vcode.length != 6) {
          ShowTopTip("请输入正确的短信验证码");

          return false;
        }

        $ionicLoading.show({
          template: '<ion-spinner icon="ios" class="popup-loading"></ion-spinner>',
          noBackdrop: true,
          duration: 5000
        });
        var data = {
          source: 'zufun',
          fu_app_id: Storage.get('fu_app_id'),
          fu_mobile: $scope.formData.fu_mobile,
          vcode: $scope.formData.vcode
        };
        var url = "https://" + Variable.url + "/client/memMng/memLogin/registerMemberByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
        //url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
        $http.jsonp(url).success(
          function (ret) {
            $ionicLoading.hide();
            if (ret.code === 0) {

              Storage.set('fu_mobile', ret.data.fu_mobile);
              Storage.set('fu_name', ret.data.fu_name);
              Storage.set('msgnum', ret.data.msgnum);
              //设置消息数量
              $rootScope.msgnum = Number(ret.data.msgnum) || 0;

              $rootScope.fu_name = Storage.get('fu_name');
              $rootScope.fu_mobile = Storage.get('fu_mobile');
              $location.path(source_url);
            } else if (ret.code === 'ERR_PICCODE') {
              $scope.showRequiredError = true;
              $scope.get_pic_code();
              setTimeout(function () {
                $ionicPopup.show({
                  template: '<div class="form-group"><div class="form-group-inupt"><input ng-model="smsData.pic_code" name="pic_code" type="tel" autofocus style="padding-right:65px; padding-left:5px;"></div><div id="pic_code" class="pic-code" ng-click="get_pic_code();" ><img src="{{pic_src}}" width="100" height="35" style="border:0;"></div></div>',
                  title: '请输入图形验证码',
                  scope: $scope,
                  buttons: [{
                    text: '取消'
                  }, {
                    text: '<b>确定</b>',
                    type: 'button-balanced',
                    onTap: function (e) {
                      if ($scope.smsData.pic_code) {
                        var data = {
                          source: 'zufun',
                          fu_app_id: Storage.get('fu_app_id'),
                          fu_mobile: $scope.formData.fu_mobile,
                          vcode: $scope.formData.vcode,
                          pic_code: $scope.smsData.pic_code
                        };
                        var url = "https://" + Variable.url + "/client/memMng/memLogin/registerMemberByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
                        //url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
                        $http.jsonp(url).success(
                          function (ret) {
                            if (ret.code === 0) {
                              Storage.set('fu_mobile', ret.data.fu_mobile);
                              Storage.set('fu_name', ret.data.fu_name);
                              Storage.set('msgnum', ret.data.msgnum);
                              //设置消息数量
                              $rootScope.msgnum = Number(ret.data.msgnum) || 0;

                                $rootScope.fu_name = Storage.get('fu_name');
                                $rootScope.fu_mobile = Storage.get('fu_mobile');
                              //$window.location.href(source_url);
                              $location.path(source_url);
                            } else {
                              $ionicPopup.alert({
                                title: '提示',
                                template: ret.msg
                              });
                            }
                          }
                        );
                      } else {
                        alert("请输入图形验证码");
                        return false;
                      }
                    }
                  },]
                });
              }, 300);
            } else {
              $ionicPopup.alert({
                title: '提示',
                template: ret.msg
              });
            }
          }
        );
      };

      /**
       * 判断控制；发送验证码的按钮文字颜色；
       */
      $scope.$watch('formData.fu_mobile', function (newValue, oldValue) {
        if (newValue) {
          if (newValue.length == 11) {
            $scope.paraclass = '';
          } else {
            $scope.paraclass = 'c-gray';
          }
        }
      });

      //发送验证码
      $scope.paracont = '获取验证码';
      $scope.paraclass = 'c-gray';
      $scope.paraevent = true;
      var countDown = function () {
        var second = 30,
          timePromise;

        timePromise = $interval(function () {
          if (second <= 0) {
            $interval.cancel(timePromise);
            timePromise = '';
            second = 30;
            $scope.paracont = '获取验证码';
            $scope.paraclass = '';
            $scope.paraevent = true;
          } else {
            $scope.paracont = '重新发送(' + second + ')';
            $scope.paraclass = 'c-gray';
            second--;
          }
        }, 1000, 100);
      };
      $scope.smsData = {};
      $scope.sendVcode = function () {
        if ($scope.formData.fu_mobile < 10000000000 || $scope.formData.fu_mobile > 99999999999 || !$scope.formData.fu_mobile) {
          ShowTopTip("请输入正确的手机号");

          return false;
        }

        if ($scope.paraclass == 'c-gray') {
          return false;
        }

        $scope.showRequiredError = true;
        $scope.get_pic_code();
        setTimeout(function () {
          $ionicPopup.show({
            template: '<div class="form-group"><div class="form-group-inupt"><input ng-model="smsData.pic_code" name="pic_code" type="tel" autofocus style="padding-right:65px; padding-left:5px;"></div><div id="pic_code" class="pic-code" ng-click="get_pic_code();" ><img src="{{pic_src}}" width="100" height="35" style="border:0;"></div></div>',
            title: '请输入图形验证码',
            scope: $scope,
            buttons: [{
              text: '取消'
            }, {
              text: '<b>确定</b>',
              type: 'button-balanced',
              onTap: function (e) {
                if ($scope.smsData.pic_code) {
                  var data = {
                    fu_mobile: $scope.formData.fu_mobile,
                    pic_code: $scope.smsData.pic_code,
                    type: 'appoint',
                    fu_app_id: Storage.get('fu_app_id')
                  };
                  var url = "https://" + Variable.url + "/client/memMng/memLogin/sendSmsForRegByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
                  console.log('sendSmsForRegByIonic 1');
                  //url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
                  $http.jsonp(url).success(
                    function (ret) {
                      if (ret.code === 0) {
                        countDown(); //倒计时
                      } else {
                        ShowTopTip(ret.msg);
                        $scope.get_pic_code();
                      }
                    }
                  );
                } else {
                  alert("请输入图形验证码");
                  return false;
                }
              }
            },]
          });
        }, 300);
      };

      //图片验证码
      var pic_url = "https://" + Variable.url + "/client/memMng/memLogin/getPiccodeByIonic?callback=JSON_CALLBACK&fu_app_id="+Storage.get('fu_app_id');
      console.log('getPiccodeByIonic2');
      //pic_url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
      $scope.get_pic_code = function () {
        var pic_url = "https://" + Variable.url + "/client/memMng/memLogin/getPiccodeByIonic?callback=JSON_CALLBACK&fu_app_id="+Storage.get('fu_app_id');
        $http.jsonp(pic_url).success(
          function (ret) {
            if (ret.code === 0) {
              $scope.pic_src = ret.data;
            } else {
              ShowTopTip(ret.msg);
            }
          }
        ).error(function (err) {
          console.log('err:' + err);
        });
      };
    }
  })
  //注册页面；
  .controller('RegisterCtrl', function ($rootScope, $scope, $http, $ionicLoading, $location, $ionicPopup, $interval, Storage, ShowTopTip, Variable, Md5, Public) {
    //如果没有选择城市，跳到选择城市页面
    if (!Storage.get('city_id')) {
      $location.path('/tab/index/city');
    } else {
      //页面url
      var source_url = $location.search().source_url || '/tab/user/setting',
        fu_mobile = $location.search().fu_mobile;
      //页面url
      $scope.login_url = $location.url().replace('register', 'login');

      $scope.formData = {};
      $scope.formData.fu_mobile = fu_mobile || Storage.get('own_number');
      $scope.processForm = function () {
        if ($scope.formData.fu_mobile < 10000000000 || $scope.formData.fu_mobile > 99999999999 || !$scope.formData.fu_mobile) {
          ShowTopTip("请输入正确的手机号");

          return false;
        }

        if (!$scope.formData.vcode || $scope.formData.vcode.length != 6) {
          ShowTopTip("请输入正确的短信验证码");

          return false;
        }

        if (!$scope.formData.password || $scope.formData.password.length < 6) {
          ShowTopTip("请输入正确的密码");

          return false;
        }
        $ionicLoading.show({
          template: '<ion-spinner icon="ios" class="popup-loading"></ion-spinner>',
          noBackdrop: true,
          duration: 5000
        });
        var data = {
          source: "zufun",
          fu_app_id: Storage.get('fu_app_id'),
          fu_mobile: $scope.formData.fu_mobile,
          fu_password: Md5.set($scope.formData.password),
          vcode: $scope.formData.vcode
        };
        var url = "https://" + Variable.url + "/client/memMng/memLogin/registerMemberByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
        url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
        $http.jsonp(url).success(
          function (ret) {
            $ionicLoading.hide();
            if (ret.code === 0) {

              Storage.set('fu_mobile', ret.data.fu_mobile);
              Storage.set('fu_name', ret.data.fu_name);
              Storage.set('msgnum', ret.data.msgnum);
              //设置消息数量
              $rootScope.msgnum = Number(ret.data.msgnum) || 0;

              $location.path(source_url);
            } else if (ret.code === 'ERR_PICCODE') {
              $scope.showRequiredError = true;
              $scope.get_pic_code();
              setTimeout(function () {
                $ionicPopup.show({
                  template: '<div class="form-group"><div class="form-group-inupt"><input ng-model="smsData.pic_code" name="pic_code" type="tel" autofocus style="padding-right:65px; padding-left:5px;"></div><div id="pic_code" class="pic-code" ng-click="get_pic_code();" ><img src="{{pic_src}}" width="100" height="35" style="border:0;"></div></div>',
                  title: '请输入图形验证码',
                  scope: $scope,
                  buttons: [{
                    text: '取消'
                  }, {
                    text: '<b>确定</b>',
                    type: 'button-balanced',
                    onTap: function (e) {
                      if ($scope.smsData.pic_code) {
                        var data = {
                          source: "zufun",
                          fu_app_id: Storage.get('fu_app_id'),
                          fu_mobile: $scope.formData.fu_mobile,
                          fu_password: Md5.set($scope.formData.password),
                          vcode: $scope.formData.vcode,
                          pic_code: $scope.smsData.pic_code
                        };
                        var url = "https://" + Variable.url + "/client/memMng/memLogin/registerMemberByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
                        url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
                        $http.jsonp(url).success(
                          function (ret) {
                            if (ret.code === 0) {
                              Storage.set('fu_mobile', ret.data.fu_mobile);
                              Storage.set('fu_name', ret.data.fu_name);
                              Storage.set('msgnum', ret.data.msgnum);
                              //设置消息数量
                              $rootScope.msgnum = Number(ret.data.msgnum) || 0;

                              $location.path(source_url);
                            } else {
                              $ionicPopup.alert({
                                title: '提示',
                                template: ret.msg
                              });
                            }
                          }
                        );
                      } else {
                        alert("请输入图形验证码");
                        return false;
                      }
                    }
                  },]
                });
              }, 300);
            } else {
              $ionicPopup.alert({
                title: '提示',
                template: ret.msg
              });
            }
          }
        );
      };

      /**
       * 判断控制；发送验证码的按钮文字颜色；
       */
      $scope.$watch('formData.fu_mobile', function (newValue, oldValue) {
        if (newValue) {
          if (newValue.length == 11) {
            $scope.paraclass = '';
          } else {
            $scope.paraclass = 'c-gray';
          }
        }
      });

      //发送验证码
      $scope.paracont = '获取验证码';
      $scope.paraclass = 'c-gray';
      $scope.paraevent = true;
      var countDown = function () {
        var second = 30,
          timePromise;

        timePromise = $interval(function () {
          if (second <= 0) {
            $interval.cancel(timePromise);
            timePromise = '';
            second = 30;
            $scope.paracont = '获取验证码';
            $scope.paraclass = '';
            $scope.paraevent = true;
          } else {
            $scope.paracont = '重新发送(' + second + ')';
            $scope.paraclass = 'c-gray';
            second--;
          }
        }, 1000, 100);
      };
      $scope.smsData = {};
      $scope.sendVcode = function () {
        if ($scope.formData.fu_mobile < 10000000000 || $scope.formData.fu_mobile > 99999999999 || !$scope.formData.fu_mobile) {
          ShowTopTip("请输入正确的手机号");

          return false;
        }

        if ($scope.paraclass == 'c-gray') {
          return false;
        }

        $scope.showRequiredError = true;
        $scope.get_pic_code();
        setTimeout(function () {
          $ionicPopup.show({
            template: '<div class="form-group"><div class="form-group-inupt"><input ng-model="smsData.pic_code" name="pic_code" type="tel" autofocus style="padding-right:65px; padding-left:5px;"></div><div id="pic_code" class="pic-code" ng-click="get_pic_code();" ><img src="{{pic_src}}" width="100" height="35" style="border:0;"></div></div>',
            title: '请输入图形验证码',
            scope: $scope,
            buttons: [{
              text: '取消'
            }, {
              text: '<b>确定</b>',
              type: 'button-balanced',
              onTap: function (e) {
                if ($scope.smsData.pic_code) {
                  var data = {
                    fu_mobile: $scope.formData.fu_mobile,
                    pic_code: $scope.smsData.pic_code,
                    fu_app_id: Storage.get('fu_app_id')
                  };
                  var url = "https://" + Variable.url + "/client/memMng/memLogin/sendSmsForRegByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
                  console.log('sendSmsForRegByIonic 2');
                  // url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
                  $http.jsonp(url).success(
                    function (ret) {
                      if (ret.code === 0) {
                        countDown(); //倒计时
                      } else {
                        ShowTopTip(ret.msg);
                        $scope.get_pic_code();
                      }
                    }
                  );
                } else {
                  alert("请输入图形验证码");
                  return false;
                }
              }
            },]
          });
        }, 300);
      };

      //图片验证码
      var pic_url = "https://" + Variable.url + "/client/memMng/memLogin/getPiccodeByIonic?callback=JSON_CALLBACK&fu_app_id="+Storage.get('fu_app_id');
      console.log('getPiccodeByIonic3');
      //pic_url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
      $scope.get_pic_code = function () {
        $http.jsonp(pic_url).success(
          function (ret) {
            if (ret.code === 0) {
              $scope.pic_src = ret.data;
            } else {
              ShowTopTip(ret.msg);
            }
          }
        ).error(function (err) {
          console.log('err:' + err);
        });
      };

    }
  })
  //忘记密码
  .controller('ForgetpwdCtrl', function ($rootScope, $scope, $http, $location, $ionicLoading, $interval, $ionicPopup, ShowTopTip, Storage, Variable, Md5, Public) {
    //如果没有选择城市，跳到选择城市页面
    if (!Storage.get('city_id')) {
      $location.path('/tab/index/city');
    } else {
      var source_url = $location.search().source_url || '/index';
      $scope.formData = {};
      $scope.formData.fu_mobile = Storage.get('own_number');
      $scope.processForm = function () {
        if ($scope.formData.fu_mobile < 10000000000 || $scope.formData.fu_mobile > 99999999999 || !$scope.formData.fu_mobile) {
          ShowTopTip("请输入正确的手机号");

          return false;
        }

        if (!$scope.formData.fu_vcode || $scope.formData.fu_vcode.length != 6) {
          ShowTopTip("请输入正确的短信验证码");

          return false;
        }

        if (!$scope.formData.password || $scope.formData.password.length < 6) {
          ShowTopTip("请输入正确的密码");

          return false;
        }
        $ionicLoading.show({
          template: '<ion-spinner icon="ios" class="popup-loading"></ion-spinner>',
          noBackdrop: true,
          duration: 5000
        });
        var data = {
          fu_mobile: $scope.formData.fu_mobile,
          newpwd: Md5.set($scope.formData.password),
          fu_app_id: Storage.get('fu_app_id'),
          fu_vcode: $scope.formData.fu_vcode
        };
        var url = "https://" + Variable.url + "/client/memMng/memLogin/modifyPwdByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
        url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
        $http.jsonp(url).success(
          function (ret) {
            $ionicLoading.hide();
            if (ret.code === 0) {
            console.log("modifyPwdByIonic--",ret.data,"--source_url--",source_url);
              Storage.set('fu_mobile', ret.data.fu_mobile);
              Storage.set('fu_name', ret.data.fu_name);
              Storage.set('msgnum', ret.data.msgnum);

              //设置消息数量
              $rootScope.msgnum = Number(ret.data.msgnum) || 0;

              $location.path(source_url);
            } else {
              ShowTopTip(ret.msg);
            }
          }
        );
      };

      //发送手机验证码
      //发送验证码
      $scope.paracont = '获取验证码';
      $scope.paraclass = 'c-gray';
      $scope.paraevent = true;
      var countDown = function () {
        var second = 30,
          timePromise;

        timePromise = $interval(function () {
          if (second <= 0) {
            $interval.cancel(timePromise);
            timePromise = '';
            second = 30;
            $scope.paracont = '发送验证码';
            $scope.paraclass = '';
            $scope.paraevent = true;
          } else {
            $scope.paracont = '重新发送(' + second + ')';
            $scope.paraclass = 'c-gray';
            second--;
          }
        }, 1000, 100);
      };
      $scope.smsData = {};
      $scope.sendVcode = function () {
        if ($scope.formData.fu_mobile < 10000000000 || $scope.formData.fu_mobile > 99999999999 || !$scope.formData.fu_mobile) {
          ShowTopTip("请输入正确的手机号");

          return false;
        }

        if ($scope.paraclass == 'c-gray') {
          return false;
        }

        $scope.get_pic_code();
        setTimeout(function () {
          $ionicPopup.show({
            template: '<div class="form-group"><div class="form-group-inupt"><input ng-model="smsData.pic_code" name="pic_code" type="tel" autofocus style="padding-right:65px; padding-left:5px;"></div><div id="pic_code" class="pic-code" ng-click="get_pic_code();" ><img src="{{pic_src}}" width="100" height="35" style="border:0;"></div></div>',
            title: '请输入图形验证码',
            scope: $scope,
            buttons: [{
              text: '取消'
            }, {
              text: '<b>确定</b>',
              type: 'button-balanced',
              onTap: function (e) {
                if ($scope.smsData.pic_code) {
                  var data = {
                    fu_mobile: $scope.formData.fu_mobile,
                    pic_code: $scope.smsData.pic_code
                  };
                  var url = "https://" + Variable.url + "/client/memMng/memLogin/sendSmsForForgetPwdByIonic?" + $.param(data) + "&callback=JSON_CALLBACK&fu_app_id="+Storage.get('fu_app_id');
                  $http.jsonp(url).success(
                    function (ret) {
                      if (ret.code === 0) {
                        countDown(); //倒计时
                      } else {
                        ShowTopTip(ret.msg);
                        $scope.get_pic_code();
                      }
                    }
                  );
                } else {
                  ShowTopTip('请输入图形验证码');
                  return false;
                }
              }
            },]
          });
        }, 300);
      };

      /**
       * 判断控制；发送验证码的按钮文字颜色；
       */
      $scope.$watch('formData.fu_mobile', function (newValue, oldValue) {
        if (newValue) {
          if (newValue.length == 11) {
            $scope.paraclass = '';
          } else {
            $scope.paraclass = 'c-gray';
          }
        }
      });

      //图片验证码
      var pic_url = "https://" + Variable.url + "/client/memMng/memLogin/getPiccodeByIonic?callback=JSON_CALLBACK&fu_app_id="+Storage.get('fu_app_id');
      console.log('getPiccodeByIonic4');
      //pic_url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
      $scope.get_pic_code = function () {
        $http.jsonp(pic_url).success(
          function (ret) {
            if (ret.code === 0) {
              $scope.pic_src = ret.data;
            } else {
              ShowTopTip(ret.msg);
            }
          }
        ).error(function (err) {
          console.log('err:' + err);
        });
      };

    }
  })
  /*
  个人中心。
  个人信息、
  我的优惠、
  消息中心、
  关注房源、
  关注楼盘、
  我的预约、
  出租房源、
  二手房源、
  我的合约
  */
  //物业首页；
  .controller('PcUserCtrl', function ($scope, $location, Storage, Public, Variable) {
console.log('controllers PcUserCtrl');
    $scope.judgeUrl = function (url) {
      Public.openLinkInApp('https://' + Variable.url + url);
    };

  })
  //个人中心首页
  .controller('UserIndexCtrl', function ($rootScope, $scope, $location, Storage, Public, Variable) {
console.log('controllers UserIndexCtrl');
    $scope.judgeUrl = function (url, type) {
      if (Storage.get('fu_mobile')) {
        Public.openLinkInApp(url);
      } else {
        $location.path('/tab/quicklogin');
      }
    };
    $scope.openLink = function (url) {

    console.log("openLink url=",('https://' + Variable.url + url));
      Public.openLinkInApp('https://' + Variable.url + url);
    };
    $rootScope.feedbacknum = Storage.get("feedbacknum");
    $rootScope.kf_mobile = String(Storage.get("kf_mobile") || '132-6682-1881').replace(/-/g, '');
  })
  //个人设置首页
    .controller('UserSettingCtrl', function ($rootScope, $scope, $window,$http,$location, $ionicPopup, Storage, Public, Variable) {
        console.log('controllers UserSettingCtrl');

        //$scope.fu_name = Storage.get('fu_name');
        //$scope.fu_mobile = Storage.get('fu_mobile');

        $rootScope.fu_name = Storage.get('fu_name');
        $rootScope.fu_mobile = Storage.get('fu_mobile');
        //$scope.fu_gender = Storage.get('fu_gender');
        $scope.fu_gender = 1;
        $rootScope.kf_mobile = String(Storage.get("kf_mobile") || '132-6682-1881').replace(/-/g, '');


        $scope.showCart = function(targetId){
          $("#"+targetId).show();
        }
        $scope.hideCart = function(targetId){
            $("#"+targetId).hide();
        }


        $scope.submitCart = function(type){

            //修改名称
            if(type == 'change_name'){
                var name = $('.fu_name').val();
                $http({
                    method: 'GET',
                    data:{
                    },
                    url:  "https://" + Variable.url + '/client/memMng/memInfo/modifyMemInfoByIonic?fu_app_id='+Storage.get('fu_app_id')+'&fu_gender=null&fu_name='+name
                }).then(function successCallback(res) {
                    // 请求成功执行代码
                    console.log(res);
                   // $location.url('/tab/appointment');
                    if(res.data.code == 0){
                        $scope.fu_name = name;
                        Storage.set('fu_name',name);
                        $("#change_name").hide();
                    }else{
                        $ionicPopup.alert({
                            title: '提示',
                            template: res.data.msg
                        });
                    }

                }, function errorCallback(res) {
                    console.log('err');
                    console.log(res);
                    // 请求失败执行代码
                });
            }


            //修改手机号
            if(type == 'change_mobile'){
                var pu_mobile = $('#pu_mobile').val();
                var vcode = $('#phone_vcode').val();
                var mobile_pwd = md5($('#mobile_pwd').val());

                $http({
                    method: 'GET',
                    data:{
                    },
                    url:  "https://" + Variable.url + '/client/memMng/memInfo/modifyMobileByIonic?fu_app_id='+Storage.get('fu_app_id')+'&vcode='+vcode+'&password='+mobile_pwd+'&fu_mobile='+pu_mobile
                }).then(function successCallback(res) {
                    // 请求成功执行代码
                    console.log(res);
                    // $location.url('/tab/appointment');
                    if(res.data.code == 0){
                        $scope.fu_mobile = pu_mobile;
                        Storage.set('fu_mobile',pu_mobile);
                        $("#change_mobile").hide();
                    }else{
                        $ionicPopup.alert({
                            title: '提示',
                            template: res.data.msg
                        });
                    }

                }, function errorCallback(res) {
                    console.log('err');
                    console.log(res);
                    // 请求失败执行代码
                });
            }


            //修改密码
            if(type == 'change_pwd'){
                var vcode = $('#vcode').val();
                var newpassword = md5($('#password1').val());

                $http({
                    method: 'GET',
                    data:{
                    },
                    url:  "https://" + Variable.url + '/client/memMng/memInfo/changePwdByIonic?fu_app_id='+Storage.get('fu_app_id')+'&vcode='+vcode+'&newpassword='+newpassword
                }).then(function successCallback(res) {
                    // 请求成功执行代码
                    console.log(res);
                    // $location.url('/tab/appointment');
                    if(res.data.code == 0){
                        $("#change_pwd").hide();
                    }else{
                        $ionicPopup.alert({
                            title: '提示',
                            template: res.data.msg
                        });
                    }

                }, function errorCallback(res) {
                    console.log('err');
                    console.log(res);
                    // 请求失败执行代码
                });
            }




        }


        $scope.sendSms = function(){
            var pu_mobile = $('#pu_mobile').val();
            var mobile_pwd = md5($('#mobile_pwd').val());
            $http({
                method: 'GET',
                data:{
                },
                url:  "https://" + Variable.url + '/client/memMng/memInfo/sendSmsByIonic?fu_app_id='+Storage.get('fu_app_id')+'&fu_mobile='+pu_mobile+'&password='+mobile_pwd
            }).then(function successCallback(res) {
                // 请求成功执行代码
                console.log(res);
                // $location.url('/tab/appointment');
                if(res.data.code == 0){

                }else{
                    $ionicPopup.alert({
                        title: '提示',
                        template: res.data.msg
                    });
                }
            }, function errorCallback(res) {
                console.log('err');
                console.log(res);
                // 请求失败执行代码
            });
        }

        $scope.getVcode = function(){
            $http({
                method: 'GET',
                data:{
                },
                url:  "https://" + Variable.url + "/client/memMng/memLogin/getPiccodeByIonic?fu_app_id="+Storage.get('fu_app_id')
            }).then(function successCallback(res) {
                // 请求成功执行代码
                console.log(res);
                if(res.data.code == 0){
                    $scope.picSrc = res.data.data;
                    $("#get_vcode").show();
                }else{
                    $ionicPopup.alert({
                        title: '提示',
                        template: res.data.msg
                    });
                }
            }, function errorCallback(res) {
                console.log('err');
                console.log(res);
                // 请求失败执行代码
            });
        }
        $scope.sumbitVcode = function(){
           var pic_code = $('#reg_pic_code').val();
            $http({
                method: 'GET',
                data:{
                },
                url:  "https://" + Variable.url + "/client/memMng/memInfo/sendSmsForModifyPassByIonic?fu_app_id="+Storage.get('fu_app_id')+'&pic_code='+pic_code
            }).then(function successCallback(res) {
                // 请求成功执行代码
                console.log(res);
                if(res.data.code == 0){
                    $("#get_vcode").hide();
                }else{
                    $ionicPopup.alert({
                        title: '提示',
                        template: res.data.msg
                    });
                }
            }, function errorCallback(res) {
                console.log('err');
                console.log(res);
                // 请求失败执行代码
            });
        }


        //退出登陆
        $scope.logout = function(){
            Storage.remove('fu_name');
            Storage.remove('fu_mobile');
            //Storage.remove('fu_app_id');

            //$window.location.href = 'index.html#/tab/user/setting';
            $location.url('/tab/index');
        }

        //隐私
        $scope.toPrivacyPage = function(){
            $location.url('/tab/privacy');
        }
    })
  /*物业消息*/
  .controller('PcMessageCtrl', function ($rootScope, $scope, $http, $location, $ionicPopup, $sce, $ionicLoading, Storage, Jsonp, Public, Variable) {
    $ionicLoading.show({
      template: '<ion-spinner icon="ios" class="popup-loading"></ion-spinner>',
      noBackdrop: true,
      duration: 5000
    });
    var getMessageData = function (page) {
      var data = {
        fu_app_id: Storage.get('fu_app_id'),
        page: page
      };
      var url = "https://" + Variable.url + "/admin/property/propSysMsg/getSysMsgByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
      url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
      $http.jsonp(url, {
        cache: false
      }).success(
        function (ret) {
          if (ret.code === 0) {
            if (1 != page) {
              if (ret.data.rows && $scope.data) {
                angular.forEach(ret.data.rows, function (value, index) {
                  $scope.data.push(value);
                });
                if (ret.data.rows.length < 10) {
                  $scope.vm.moredata = true;
                } else {
                  $scope.$broadcast('scroll.infiniteScrollComplete');
                }
              } else {
                $scope.vm.moredata = true;
              }
            } else {
              $ionicLoading.hide();
              $scope.data = ret.data.rows;
            }
          } else {
            $scope.vm.moredata = true;
            $ionicPopup.alert({
              title: '提示',
              template: ret.msg
            });
          }
        }
      );
    };
    var vm = $scope.vm = {
      moredata: false,
      messages: [],
      pagination: {
        perPage: 5,
        currentPage: 1
      },
      init: function () {
        getMessageData(1);
      },
      show: function (message) {
        if (message.static) {
          message.static = false;
        } else {
          message.static = true;
        }
      },
      loadMore: function () {
        vm.pagination.currentPage += 1;
        var page = vm.pagination.currentPage;
        getMessageData(page);
      }
    };
    vm.init();

    //打开链接；
    $scope.openLink = function (url) {
      Public.openLinkInApp(url);
    };
    $scope.messageDetail = function (index, readStatus) {
      if ($scope.data[index].showDetail) {
        $scope.data[index].showDetail = false;
      } else {
        $scope.data[index].showDetail = true;
      }
      if (!$scope.data[index]['detail']) {
        var data = {
          fu_app_id: Storage.get('fu_app_id'),
          prop_sysmsg_id: $scope.data[index].prop_sysmsg_id,
          psrs_status: $scope.data[index].psrs_status,
          prop_sysmsg_detail_id: $scope.data[index].prop_sysmsg_detail_id
        };
        var url = "https://" + Variable.url + "/admin/property/propSysMsg/getSysMsgDetailByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
        url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
        $http.jsonp(url).success(
          function (ret) {
            if (ret.code === 0) {
              var data = ret.data;
              if (ret.data.indexOf('href="/platform/appointment"') > -1) {
                data = data.replace('/platform/appointment', '#/tab/pcappt');
              } else if (ret.data.indexOf('href="/platform/esfApartment"') > -1) {
                data = data.replace('href="/platform/esfApartment"', 'ng-click="openLink(\'https://' + Variable.url + '/platform/esfApartment\')"');
              } else if (ret.data.indexOf('href="/platform/apartment"') > -1) {
                data = data.replace('href="/platform/apartment"', 'ng-click="openLink(\'https://' + Variable.url + '/platform/apartment\')"');
              } else if (ret.data.indexOf('href="/platform/property"') > -1) {
                data = data.replace('href="/platform/property"', 'ng-click="openLink(\'https://' + Variable.url + '/platform/property\')"');
              }

              $scope.data[index]['detail'] = data;
            } else {
              $ionicPopup.alert({
                title: '提示',
                template: ret.msg
              });
            }
          }
        );
      }

      //处理消息数量；
      if (2 != $scope.data[index].psrs_status) {
        var msgnum = Number(Storage.get('msgnum'));
        msgnum--;
        $rootScope.msgnum = msgnum;
        Storage.set('msgnum', msgnum);
        $scope.data[index].psrs_status = 2; // 设为已读；
      }
    };
  })
  //系统消息
  .controller('UserMessageCtrl', function ($rootScope, $scope, $http, $location, $ionicPopup, $sce, $ionicLoading, Storage, Jsonp, Public, Variable) {
    if (Storage.get('fu_mobile')) {
      var getMessageData = function (page) {
        var data = {
          fu_app_id: Storage.get('fu_app_id'),
          page: page
        };
        var url = "https://" + Variable.url + "/client/memMng/memSysMsg/getSysMsgByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
        url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
        $http.jsonp(url, {
          cache: false
        }).success(
          function (ret) {
            if (ret.code === 0) {
              if (1 != page) {
                if (ret.data.rows && $scope.data) {
                  angular.forEach(ret.data.rows, function (value, index) {
                    $scope.data.push(value);
                  });
                  if (ret.data.rows.length < 10) {
                    $scope.vm.moredata = true;
                  } else {
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                  }
                } else {
                  $scope.vm.moredata = true;
                }
              } else {
                $scope.data = ret.data.rows;
              }
            } else {
              $scope.vm.moredata = true;
              $ionicPopup.alert({
                title: '提示',
                template: ret.msg
              });
            }
          }
        );
      };
      var vm = $scope.vm = {
        moredata: false,
        messages: [],
        pagination: {
          perPage: 5,
          currentPage: 1
        },
        init: function () {
          getMessageData(1);
        },
        show: function (message) {
          if (message.static) {
            message.static = false;
          } else {
            message.static = true;
          }
        },
        loadMore: function () {
          vm.pagination.currentPage += 1;
          var page = vm.pagination.currentPage;
          getMessageData(page);
        }
      };
      vm.init();

      //打开链接；
      $scope.openLink = function (url) {
        Public.openLinkInApp(url);
      };
      $scope.messageDetail = function (index, readStatus) {
        if ($scope.data[index].showDetail) {
          $scope.data[index].showDetail = false;
        } else {
          $scope.data[index].showDetail = true;
        }
        if (!$scope.data[index]['detail']) {
          var data = {
            fu_app_id: Storage.get('fu_app_id'),
            sys_pubmsg_detail_id: $scope.data[index].sys_pubmsg_detail_id,
            sp_read_status: $scope.data[index].sp_read_status,
            sys_pubmsg_id: $scope.data[index].sys_pubmsg_id
          };
          var url = "https://" + Variable.url + "/client/memMng/memSysMsg/getSysMsgDetailByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
          url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
          $http.jsonp(url).success(
            function (ret) {
              if (ret.code === 0) {
                var data = ret.data;

                if (ret.data.indexOf('href="/user/appointment"') > -1) {
                  data = data.replace('/user/appointment', '#/tab/appointment');
                } else if (ret.data.indexOf('href="/user/zf/apt/index"') > -1) {
                  data = data.replace('href="/user/zf/apt/index"', 'ng-click="openLink(\'user/esf/apt/index\')"');
                } else if (ret.data.indexOf('href="/user/esf/apt/index"') > -1) {
                  data = data.replace('href="/user/esf/apt/index"', 'ng-click="openLink(\'user/esf/apt/index\')"');
                }

                $scope.data[index]['detail'] = data;
              } else {
                $ionicPopup.alert({
                  title: '提示',
                  template: ret.msg
                });
              }
            }
          );
        }

        //处理消息数量；
        if (2 != $scope.data[index].sp_read_status) {
          var msgnum = Number(Storage.get('msgnum'));
          msgnum--;
          $rootScope.msgnum = msgnum;
          Storage.set('msgnum', msgnum);
          $scope.data[index].sp_read_status = 2; // 设为已读；
        }
      };
    } else {
      $location.url('/tab/message/quicklogin?source_url=/tab/message');
    }
  })
  // 物业后台，我的预约；
  .controller('PcApptCtrl', function ($scope, $http, $location, $ionicPopup, $ionicLoading, $stateParams, Storage, Variable, Public) {
    var getMessageData = function (page) {
      var data = {
        fu_app_id: Storage.get('fu_app_id'),
        page: page
      };
      var url = "https://" + Variable.url + "/admin/property/appointMng/getAppointmentsByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
      url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
      $http.jsonp(url, {
        cache: false
      }).success(
        function (ret) {
          if (ret.code === 0) {
            if (1 != page) {
              if (ret.data.rows && $scope.data) {
                angular.forEach(ret.data.rows, function (value, index) {
                  $scope.data.push(value);
                });
                if (ret.data.rows.length < 10) {
                  $scope.vm.moredata = true;
                } else {
                  $scope.$broadcast('scroll.infiniteScrollComplete');
                }
              } else {
                $scope.vm.moredata = true;
              }
            } else {
              $ionicLoading.hide();
              $scope.data = ret.data.rows;
            }
          } else {
            $scope.vm.moredata = true;
            $ionicPopup.alert({
              title: '提示',
              template: ret.msg
            });
            if (String(ret.msg).includes('登录')) {
              $location.url('/tab/appointment/quicklogin?source_url=/tab/appointment&back=true');
            }
          }
        }
      );
    };
    var vm = $scope.vm = {
      moredata: false,
      messages: [],
      pagination: {
        perPage: 5,
        currentPage: 1
      },
      init: function () {
        getMessageData(1);
      },
      show: function (message) {
        if (message.static) {
          message.static = false;
        } else {
          message.static = true;
        }
      },
      loadMore: function () {
        vm.pagination.currentPage += 1;
        var page = vm.pagination.currentPage;
        getMessageData(page);
      }
    };
    vm.init();

    $scope.openLink = function (url) {
      Public.openLinkInApp("https://" + Variable.url + url);
    };
  })
  //我的预约
  .controller('UserAppointmentCtrl', function ($scope, $http, $location, $ionicPopup, $ionicLoading, $stateParams, Storage, Variable, Public) {
    console.log('UserAppointmentCtrl start:');
    $ionicLoading.show({
      template: '<ion-spinner icon="ios" class="popup-loading"></ion-spinner>',
      noBackdrop: true,
      duration: 5000
    });
    //获取预约列表数据
      /*
    var url = "https://" + Variable.url + "/client/memMng/memAppointment/getAppointmentsByIonic?fu_app_id=" + Storage.get('fu_app_id') + "&callback=JSON_CALLBACK";
    $http.jsonp(url, {
      cache: false
    }).success(
      function (ret) {
        $ionicLoading.hide();
        if (ret.code === 0) {
          $scope.data = ret.data;
          console.log(ret);
        } else {
          $ionicPopup.alert({
            title: '提示',
            template: ret.msg
          });
          if (String(ret.msg).includes('登录')) {
            $location.url('/tab/appointment/quicklogin?source_url=/tab/appointment&back=true');
          }
        }
      }
    );
    */
      var url = "https://" + Variable.url + "/client/memMng/memAppointment/getAppointmentsByIonicNew?fu_app_id=" + Storage.get('fu_app_id') ;
      $http({
          method: 'GET',
          data:{
          },
          url:  url
      }).then(function successCallback(ret) {
          // 请求成功执行代码
          console.log(ret);
          $ionicLoading.hide();
          if (ret.data.code === 0) {
              $scope.data = ret.data.data;
              console.log(ret);
          } else {
              $ionicPopup.alert({
                  title: '提示',
                  template: ret.msg
              });
              if (String(ret.data.msg).includes('登录')) {
                  $location.url('/tab/appointment/quicklogin?source_url=/tab/appointment&back=true');
              }
          }
      }, function errorCallback(ret) {
          console.log('err');
          console.log(ret);
          // 请求失败执行代码
      });



    $scope.openLink = function (url) {
      Public.openLinkInApp(url);
    };

    $scope.toAppointDetail = function(id){
        $location.url('/tab/appointment/detail?appointment_id='+id);
    }
  })
  .controller('PublishCtrl', function ($rootScope, $scope, $http, $location, $ionicPopup, $ionicLoading, $ionicModal, $cordovaImagePicker, $stateParams, $cordovaFileTransfer, $interval, Search, Storage, ShowTopTip, Variable, Public) {
    if (!Storage.get('city_id')) {
      Storage.set('city_id', 3399);
      Storage.set('city_name', '深圳');
      Storage.set('ct_index', 'sz');
    }

    $scope.city_name = Storage.get('city_name');
    $scope.ppt_name = Storage.get('publish_ppt_name');

    $scope.parent = {};

    if ($scope.ppt_name) {
      var data = {
        city_id: Storage.get('city_id'),
        ppt_name: $scope.ppt_name,
        type: 'ionic'
      };
      var url = "https://" + Variable.url + "/client/memMng/memApartmentMng/checkPptExisted?" + $.param(data) + "&callback=JSON_CALLBACK";
      url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
      $http.jsonp(url).success(
        function (ret) {
          if (ret[0]) {
            $scope.showRegion = false;
          } else {
            var data = {
              city_id: Storage.get('city_id'),
              type: 'ionic'
            };
            var url = "https://" + Variable.url + "/client/memMng/memApartmentMng/getRegions?" + $.param(data) + "&callback=JSON_CALLBACK";
            url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
            $http.jsonp(url).success(
              function (ret) {
                $scope.region_data = ret;
                $scope.parent.region_id = ret[0].region_id;
                $scope.region_name = ret[0].region_name;
                if (Storage.get('publish_region_id')) {
                  angular.forEach(ret, function (value, index) {
                    if (Storage.get('publish_region_id') == value.region_id) {
                      $scope.parent.region_id = ret[index].region_id;
                      $scope.region_name = ret[index].region_name;
                    }
                  });
                }
                $scope.showRegion = true;
                Storage.remove('publish_region_id');
              }
            );
          }
        }
      );
    } else {
      $scope.showRegion = false;
    }

    $scope.selectCity = function () {
      $location.path('/tab/publish/city');
    };

    $scope.selectPpt = function () {
      $location.path('/tab/publish/property');
    };

    $scope.selectRegion = function () {
      angular.forEach($scope.region_data, function (value, index) {
        if ($scope.parent.region_id == value.region_id) {
          $scope.region_name = $scope.region_data[index].region_name;
        }
      });
    };

    $scope.formData = {};
    $scope.formData.fu_mobile = Storage.get('own_number');
    $scope.processForm = function () {
      if ($scope.showLogin) {
        if (!$scope.city_name) {
          ShowTopTip("请选择城市");

          return false;
        }

        if (!$scope.ppt_name) {
          ShowTopTip("请选择楼盘");

          return false;
        }

        if ($scope.showRegion && !$scope.parent.region_id) {
          ShowTopTip("请选择区域");

          return false;
        }

        if ($scope.formData.fu_mobile < 10000000000 || $scope.formData.fu_mobile > 99999999999 || !$scope.formData.fu_mobile) {
          ShowTopTip("请输入正确的手机号");

          return false;
        }

        if (!$scope.formData.vcode || $scope.formData.vcode.length != 6) {
          ShowTopTip("请输入正确的短信验证码");

          return false;
        }

        $ionicLoading.show({
          template: '<ion-spinner icon="ios" class="popup-loading"></ion-spinner>',
          noBackdrop: true,
          duration: 5000
        });
        var data = {
          source: 'zufun',
          fu_app_id: Storage.get('fu_app_id'),
          fu_mobile: $scope.formData.fu_mobile,
          vcode: $scope.formData.vcode
        };
        var url = "https://" + Variable.url + "/client/memMng/memLogin/registerMemberByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
        url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
        $http.jsonp(url).success(
          function (ret) {
            $ionicLoading.hide();
            if (ret.code === 0) {

              Storage.set('fu_mobile', ret.data.fu_mobile);
              Storage.set('fu_name', ret.data.fu_name);
              Storage.set('msgnum', ret.data.msgnum);
              //设置消息数量
              $rootScope.msgnum = Number(ret.data.msgnum) || 0;

              Storage.set('publish_ppt_name', $scope.ppt_name);
              if ($scope.showRegion) {
                Storage.set('publish_region_id', $scope.parent.region_id);
              }
              $location.path('/tab/publish/new');
            } else if (ret.code === 'ERR_PICCODE') {
              $scope.showRequiredError = true;
              $scope.get_pic_code();
              setTimeout(function () {
                $ionicPopup.show({
                  template: '<div class="form-group"><div class="form-group-inupt"><input ng-model="smsData.pic_code" name="pic_code" type="tel" autofocus style="padding-right:65px; padding-left:5px;"></div><div id="pic_code" class="pic-code" ng-click="get_pic_code();" ><img src="{{pic_src}}" width="100" height="35" style="border:0;"></div></div>',
                  title: '请输入图形验证码',
                  scope: $scope,
                  buttons: [{
                    text: '取消'
                  }, {
                    text: '<b>确定</b>',
                    type: 'button-balanced',
                    onTap: function (e) {
                      if ($scope.smsData.pic_code) {
                        var data = {
                          source: 'zufun',
                          fu_app_id: Storage.get('fu_app_id'),
                          fu_mobile: $scope.formData.fu_mobile,
                          vcode: $scope.formData.vcode,
                          pic_code: $scope.smsData.pic_code
                        };
                        var url = "https://" + Variable.url + "/client/memMng/memLogin/registerMemberByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
                        url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
                        $http.jsonp(url).success(
                          function (ret) {
                            if (ret.code === 0) {
                              Storage.set('fu_mobile', ret.data.fu_mobile);
                              Storage.set('fu_name', ret.data.fu_name);
                              Storage.set('msgnum', ret.data.msgnum);
                              //设置消息数量
                              $rootScope.msgnum = Number(ret.data.msgnum) || 0;

                              Storage.set('publish_ppt_name', $scope.ppt_name);
                              if ($scope.showRegion) {
                                Storage.set('publish_region_id', $scope.parent.region_id);
                              }
                              $location.path('/tab/publish/new');
                            } else {
                              $ionicPopup.alert({
                                title: '提示',
                                template: ret.msg
                              });
                            }
                          }
                        );
                      } else {
                        alert("请输入图形验证码");
                        return false;
                      }
                    }
                  },]
                });
              }, 300);
            } else {
              $ionicPopup.alert({
                title: '提示',
                template: ret.msg
              });
            }
          }
        );
      } else {
        if (!$scope.city_name) {
          ShowTopTip("请选择城市");

          return false;
        }

        if (!$scope.ppt_name) {
          ShowTopTip("请选择楼盘");

          return false;
        }

        if ($scope.showRegion && !$scope.parent.region_id) {
          ShowTopTip("请选择区域");

          return false;
        }

        Storage.set('publish_ppt_name', $scope.ppt_name);
        if ($scope.showRegion) {
          Storage.set('publish_region_id', $scope.parent.region_id);
        }
        $location.path('/tab/publish/new');
      }

    };

    /**
     * 判断控制；发送验证码的按钮文字颜色；
     */
    $scope.$watch('formData.fu_mobile', function (newValue, oldValue) {
      if (newValue) {
        if (newValue.length == 11) {
          $scope.paraclass = '';
        } else {
          $scope.paraclass = 'c-gray';
        }
      }
    });

    //发送验证码
    $scope.paracont = '获取验证码';
    $scope.paraclass = 'c-gray';
    $scope.paraevent = true;
    var countDown = function () {
      var second = 30,
        timePromise;

      timePromise = $interval(function () {
        if (second <= 0) {
          $interval.cancel(timePromise);
          timePromise = '';
          second = 30;
          $scope.paracont = '获取验证码';
          $scope.paraclass = '';
          $scope.paraevent = true;
        } else {
          $scope.paracont = '重新发送(' + second + ')';
          $scope.paraclass = 'c-gray';
          second--;
        }
      }, 1000, 100);
    };
    $scope.smsData = {};
    $scope.sendVcode = function () {
      if ($scope.formData.fu_mobile < 10000000000 || $scope.formData.fu_mobile > 99999999999 || !$scope.formData.fu_mobile) {
        ShowTopTip("请输入正确的手机号");

        return false;
      }

      if ($scope.paraclass == 'c-gray') {
        return false;
      }

      $scope.showRequiredError = true;
      $scope.get_pic_code();
      setTimeout(function () {
        $ionicPopup.show({
          template: '<div class="form-group"><div class="form-group-inupt"><input ng-model="smsData.pic_code" name="pic_code" type="tel" autofocus style="padding-right:65px; padding-left:5px;"></div><div id="pic_code" class="pic-code" ng-click="get_pic_code();" ><img src="{{pic_src}}" width="100" height="35" style="border:0;"></div></div>',
          title: '请输入图形验证码',
          scope: $scope,
          buttons: [{
            text: '取消'
          }, {
            text: '<b>确定</b>',
            type: 'button-balanced',
            onTap: function (e) {
              if ($scope.smsData.pic_code) {
                var data = {
                  fu_mobile: $scope.formData.fu_mobile,
                  pic_code: $scope.smsData.pic_code,
                  type: 'appoint',
                  fu_app_id: Storage.get('fu_app_id')
                };
                var url = "https://" + Variable.url + "/client/memMng/memLogin/sendSmsForRegByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
                console.log('sendSmsForRegByIonic 3');
                //url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
                $http.jsonp(url).success(
                  function (ret) {
                    if (ret.code === 0) {
                      countDown(); //倒计时
                    } else {
                      ShowTopTip(ret.msg);
                      $scope.get_pic_code();
                    }
                    $scope.smsData.pic_code = '';
                  }
                );
              } else {
                alert("请输入图形验证码");
                return false;
              }
            }
          },]
        });
      }, 300);
    };

    //图片验证码
    var pic_url = "https://" + Variable.url + "/client/memMng/memLogin/getPiccodeByIonic?callback=JSON_CALLBACK&fu_app_id="+Storage.get('fu_app_id');
    console.log('getPiccodeByIonic5');
    //pic_url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
    $scope.get_pic_code = function () {
      $http.jsonp(pic_url).success(
        function (ret) {
          if (ret.code === 0) {
            $scope.pic_src = ret.data;
          } else {
            ShowTopTip(ret.msg);
          }
        }
      ).error(function (err) {
        console.log('err:' + err);
      });
    };

    $scope.openLink = function (url) {
      Public.openLinkInApp(url);
    };

    if (Storage.get('fu_mobile')) {
      $ionicLoading.show({
        template: '<ion-spinner icon="ios" class="popup-loading"></ion-spinner>',
        noBackdrop: true,
        duration: 5000
      });
      /*
      var data = {
        fu_app_id: Storage.get('fu_app_id')
      };
      var url = "https://" + Variable.url + "/client/memMng/memApartmentMng/getApartsByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
      $http.jsonp(url).success(
        function (ret) {
          if (ret.code === 0) {
            $scope.data = ret.data;
            $ionicLoading.hide();
          } else {
          }
        }
      );
      */
      var url = "https://" + Variable.url + "/client/memMng/memApartmentMng/getApartsByIonicNew?fu_app_id="+ Storage.get('fu_app_id');
      $http({
          method: 'GET',
          data:{
          },
          url:  url
      }).then(function successCallback(ret) {
          // 请求成功执行代码
          console.log(ret);
          if (ret.data.code === 0) {
              $scope.data = ret.data.data;
              $ionicLoading.hide();
          } else {
          }
      }, function errorCallback(ret) {
          console.log('err');
          console.log(ret);
          // 请求失败执行代码
      });

      $scope.showLogin = false;
    } else {
      $scope.showLogin = true;
    }
  })
  .controller('PublishNewCtrl', function ($rootScope, $scope, $http, $location, $ionicPopup, $ionicLoading, $ionicModal, $cordovaImagePicker, $stateParams, $cordovaFileTransfer, $interval, Search, Storage, ShowTopTip, Variable, Public) {
    $scope.ppt_name = Storage.get('publish_ppt_name');
    $scope.region_id = Storage.get('publish_region_id');

    //添加图片、图片加载效果
    var picChange = function (data, type) {
      if (type == 'spinner') {
        return {
          spinner: true
        };
      } else {
        return {
          src: "https://" + Variable.url + "/" + data.src
        };
      }

    };
    $scope.search = Search;
    //处理表单数据
    $scope.formData = {};
    $scope.formData.att_rent_type = 1;
    $scope.formData.att_deposit = 1;
    $scope.formData.att_min_period = 5;
    $scope.type = 2;
    $scope.items = [];
    var updateSelected = function (action, id) {
      if (action == 'add' && $scope.items.indexOf(id) == -1) {
        $scope.items.push(id);
      }
      if (action == 'remove' && $scope.items.indexOf(id) != -1) {
        var idx = $scope.items.indexOf(id);
        $scope.items.splice(idx, 1);
      }
    }
    $scope.updateSelection = function (id, $event) {
      var checkbox = $event.target;
      var action = (checkbox.checked ? 'add' : 'remove');
      updateSelected(action, id);
    }
    $scope.isSelected = function (id) {
      return $scope.items.indexOf(id) >= 0;
    }
    $scope.checkAll = function () {
      $scope.items = [36, 1, 2, 6, 8, 10, 11, 13, 14, 23, 25];
    };
    $scope.cancelAll = function () {
      $scope.items = [];
    };

    //图片管理
    $ionicModal.fromTemplateUrl('templates/user/publish_pic.html', {
      scope: $scope,
      animation: 'slide-in-up'
    }).then(function (modal) {
      $scope.modal = modal;
    });
    $scope.openModal = function () {
      $scope.modal.show();
    };
    $scope.closeModal = function () {
      $scope.modal.hide();
    };

    //上传图片test;
    // var ft = new FileTransfer();
    $scope.pics = [];
    var options = {
      maximumImagesCount: 10,
      width: 800,
      height: 800,
      quality: 80
    };

    var getPictures = function () {
      $cordovaImagePicker.getPictures(options)
        .then(function (results) {
          for (var i = 0; i < results.length; i++) {
            var options = new FileUploadOptions();
            options.fileKey = 'file';
            options.fileName = results[i].substr(results[i].lastIndexOf('/') + 1);
            options.httpMethod = 'post';
            options.mimeType = 'image/jpeg';

            $scope.pics.push(picChange('', 'spinner'));
            $cordovaFileTransfer.upload("https://" + Variable.url + "/client/memMng/memApartmentMng/ionicUploadTempPhoto/?fu_app_id=" + Storage.get('fu_app_id'), results[i], options)
              .then(function (data) {
                var ret = JSON.parse(data.response);
                var flag = true;
                angular.forEach($scope.pics, function (value, index) {
                  if (!$scope.modal.isShown()) {
                    $scope.modal.show();
                  }
                  if (value.spinner && flag) {
                    flag = false;
                    ret.data.src = "https://" + Variable.url + "/" + ret.data.src;
                    ret.data.tmp_name = ret.data.src;
                    $scope.pics[index] = ret.data;
                    if (!$scope.feng && index == 0) {
                      $scope.feng = ret.data.key;
                      $scope.fengPic = ret.data.src;
                    }
                    return;
                  }
                });
              }, function (err) {
                // Error
              }, function (progress) {
                // constant progress updates
              });
          }
        }, function (error) {
          console.log(error);
        });
    }

    $scope.getPictures = function () {
      console.log("---------getPictures cordova");
      if (ionic.Platform.isAndroid()) {
        console.log("---------getPictures 1");
        var permissions = cordova.plugins.permissions;
        permissions.hasPermission(permissions.WRITE_EXTERNAL_STORAGE, function (status) {
          if (status.hasPermission) {
            getPictures();
          } else {
            permissions.requestPermission(permissions.WRITE_EXTERNAL_STORAGE, function (status) {
              if (status.hasPermission) {
                getPictures();
              } else {
                $ionicPopup.alert({
                  title: '提示',
                  template: "加载相册失败，请为租房网开启存储权限"
                });
              }
            }, function () {
              $ionicPopup.alert({
                title: '提示',
                template: "加载相册失败，请为租房网开启存储权限"
              });
            });
          }
        });
      } else {
        console.log("---------getPictures 2");
        getPictures();
      }
    };
    //设为封面
    $scope.feng = '';
    $scope.fengPic = '';
    $scope.setPoster = function () {
      if ($scope.isClicked !== '') {
        angular.forEach($scope.pics, function (value, index) {
          if ($scope.isClicked == value.key) {
            $scope.fengPic = $scope.pics[index].src;
          }
        });
        $scope.feng = $scope.isClicked;
        $scope.isClicked = '';
      } else {
        $ionicPopup.alert({
          title: '提示',
          template: "请选中图片"
        });
      }
    };

    //删除图片
    $scope.deletePic = function () {
      if ($scope.isClicked !== '') {
        angular.forEach($scope.pics, function (value, index) {
          if ($scope.isClicked == value.key) {
            $scope.pics.splice(index, 1);
          }
          if (!$scope.pics.length) {
            $scope.feng = '';
            $scope.fengPic = '';
          }
          if ($scope.feng == value.key) {
            $scope.feng = $scope.pics[0].key;
            $scope.fengPic = $scope.pics[0].src;
          }
        });
        $scope.isClicked = '';
      } else {
        $ionicPopup.alert({
          title: '提示',
          template: "请选中图片"
        });
      }
    };

    //图片点击
    $scope.isClicked = '';
    $scope.picClick = function (key) {
      $scope.isClicked = key;
    };

    $scope.changeType = function (type) {
      $scope.formData.att_rent_type = type;
    };

    //发布房源
    $scope.addType = function (type) {
      $scope.type = type;
    };
    $scope.formHander = function () {
      if (!(/^-?[1-9]\d*$/.test($scope.formData.att_rooms))) {
        $ionicPopup.alert({
          title: '提示',
          template: "房间数必须是整数"
        });

        return;
      }
      if (Number($scope.formData.att_rooms) < 1) {
        $ionicPopup.alert({
          title: '提示',
          template: "房间数不能小于1"
        });

        return;
      }
      if (Number($scope.formData.att_rooms) > 9) {
        $ionicPopup.alert({
          title: '提示',
          template: "房间数不能大于9"
        });

        return;
      }
      $scope.formData.att_title = ($scope.formData.att_rent_type == 1 ? '整租' : '合租') + Public.numToChinese(Number($scope.formData.att_rooms)) + '居';
      if ($scope.formData.att_rent_type = 1) {
        if ($scope.items.indexOf(25) != -1) {
          var idx = $scope.items.indexOf(25);
          $scope.items.splice(idx, 1);
        }
        delete $scope.formData.att_total_space;
      } else {
        delete $scope.formData.att_hall_number;
        delete $scope.formData.att_washrooms;
      }
      var data = {
        apart: $scope.formData,
        property: {
          tp_ppt_name: $scope.ppt_name
        },
        items: $scope.items,
        savetype: $scope.type,
        city_id: Storage.get('city_id'),
        fu_app_id:  Storage.get('fu_app_id')
      };
      if ($scope.region_id) {
        data.property.tp_region_id = $scope.region_id;
      }
      if (2 == $scope.type) {
        if ($scope.pics.length <= 0) {
          $ionicPopup.alert({
            title: '提示',
            template: "请上传图片"
          });

          return;
        } else {
          angular.forEach($scope.pics, function (value, index) {
            if ($scope.feng == index) {
              $scope.pics[index].fs_status = 0;
            }
            delete $scope.pics[index]['$$hashKey'];
          });
          data.files = $scope.pics;
        }
      }
      $ionicLoading.show({
        template: '<ion-spinner icon="ios" class="popup-loading"></ion-spinner>',
        noBackdrop: true,
        duration: 5000
      });
      var url = "https://" + Variable.url + "/client/memMng/memApartmentMng/saveApartByIonic?obj=" + JSON.stringify(data) + "&callback=JSON_CALLBACK";

      $http.jsonp(url).success(
        function (ret) {
          $ionicLoading.hide();
          if (ret.code === 0) {
            //  Public.openLinkInApp('https://' + Variable.url + 'user/apt/info/' + ret.data);
            Storage.remove('publish_ppt_name');
            Storage.remove('publish_region_id');
            $location.path('/tab/publish');
          } else {
            $ionicPopup.alert({
              title: '提示',
              template: ret.msg
            });
          }
        }
      ).error(function (err) {
        console.log("err" + err);
      });
    };
  })
  //发布房源城市选择
  .controller('PublishCityCtrl', function ($rootScope, $scope, $http, $location, $cordovaGeolocation, Storage, Search, Variable) {
    if (!Storage.get('city_id')) {
      Storage.set('city_id', 3399);
      Storage.set('city_name', '深圳');
      Storage.set('ct_index', 'sz');
    }

    //设置城市id
    $scope.set_city_id = function (id, name, ct_index) {
      Storage.clearCity(); //清除缓存

      // 设置城市id、城市名字;
      Storage.set('city_id', id);
      Storage.set('city_name', name);
      Storage.set('ct_index', ct_index);

      $location.path('/tab/publish');
    };

    if (!$rootScope.cities) {
      var url = "https://" + Variable.url + "/getCityInfo?callback=JSON_CALLBACK";
      url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
      $http.jsonp(url).success(
        function (ret) {
          $rootScope.cities = ret;
        }
      );
    }
  })
  //发布房源楼盘选择
  .controller('PublishPptCtrl', function ($rootScope, $scope, $http, $location, $cordovaGeolocation, Storage, Search, Variable) {
    if (!Storage.get('city_id')) {
      $location.path('/tab/publish/city');
    }

    $scope.drop_tips = [];

    $scope.select_ppt = function (ppt_name) {
      if (ppt_name) {
        Storage.set('publish_ppt_name', ppt_name);
      }
      $location.path('/tab/publish');
    };
    $scope.sendKeyword = function (keyword) {
      $scope.ppt_name = keyword;
      var data = {
        ppt_name: keyword,
        city_id: Storage.get('city_id')
      };
      var url = "https://" + Variable.url + "/client/search/search/getPptnameByIonic?" + $.param(data) + "&callback=JSON_CALLBACK";
      url +='&PHPSESSID=im6ihmlmatv8efu5s0bm574p57';
      $http.jsonp(url).success(
        function (ret) {
          if (ret.code === 0) {
            $scope.drop_tips = ret.data;
          } else {
            $ionicPopup.alert({
              title: '提示',
              template: ret.msg
            });
          }
        }
      );
    };
  })

//楼盘列表
.controller('PropertyListCtrl', function ($rootScope, $scope, $http, $location, $cordovaGeolocation,$window, Storage, Search, Variable) {
  console.log('PropertyListCtrl');

  $scope.initUri = 'https://' + Variable.url;
  //$scope.cityUri = 'test';
  $scope.cityUri = Storage.get('ct_index');
  $scope.typeUri = 'zufang'; //zhengzu hezu duanzu
  $scope.type1Uri = 'list'; //list sub
  $scope.placeUri = '';  //-c3607-a2976

  $scope.priceUri = '';  //p0-p5500
  $scope.roomUri = '';   //-r1
  $scope.teseUri = '';   //-sa23

  $scope.regionUri = 'mini-zufang-list'; //regionUri = 'mini-' + typeUri + type1Uri + placeUri
  $scope.condUri = '';  //condUri = priceUri+roomUri+teseUri

  //完整的uri =   initUri + '/'+ cityUri + '/' + regionUri + '/' + condUri


  //$scope.currUri = 'https://' + Variable.url + $scope.uri1 + $scope.uri2;
  $("#loading_pic").show(); //加载图标

  $scope.testname = 111;
  $scope.currAreaBar = '区域';
  $scope.currBar = '区域';  //区域、地铁
  $scope.currRegion = '';
  $scope.currArea = '';
  $scope.currSubline = '';
  $scope.currStation = '';
  $("#area-bar a").css("color","red");

  $scope.minRent = '';
  $scope.maxRent = '';
  $scope.priceShowName = '租金';
  $scope.roomShowName = '户型';
  $scope.moreShowName = '更多';
  $scope.searchBoxShow = '请输入区域、地点或公寓名称';


console.log($location.search());
  //跳转过来的
  if($location.search().url){
      var uri_arr=$location.search().url.split('/'); //0:"https:"1:""2:"mt.zufun.cn"3:"test"4:"zufang-list"5:""
      $scope.regionUri = uri_arr[4];
      var regionUri_arr = $scope.regionUri.split('-');
      $scope.type1Uri = regionUri_arr[1];
      $scope.placeUri = $scope.regionUri.replace(regionUri_arr[0] + '-' + regionUri_arr[1],'');
      if($scope.placeUri.length>0){
          $scope.regionUri = 'mini-' + $scope.typeUri + '-'+ $scope.type1Uri + $scope.placeUri;
      }else{
          $scope.regionUri = 'mini-' + $scope.typeUri + '-'+ $scope.type1Uri ;
      }

      if($location.search().searchBoxShow){
          $scope.searchBoxShow = $location.search().searchBoxShow;
      }
  }
  if($location.search().condUri){
      if($location.search().condUri == 'ff1'){
          $("#famous_flat").prop('checked',true);
          $scope.moreShowName = '更多..';
      }
      if($location.search().condUri == 'zhengzu'){
          $("#rt2").prop('checked',true);
          $scope.moreShowName = '更多..';
      }
      if($location.search().condUri == 'hezu'){
          $("#rt3").prop('checked',true);
          $scope.moreShowName = '更多..';
      }
      $scope.condUri = $location.search().condUri;
  }
    if($location.search().typeUri){
        $scope.typeUri = $location.search().typeUri;
        $scope.regionUri = 'mini-'+ $scope.typeUri + '-' +$scope.type1Uri;

        if($scope.typeUri != 'zufang'){
            $scope.moreShowName = '更多..';
        }
    }

    if($location.search().showSearch){
        $("#searchModal").show();
        $scope.searchBoxShow = '请输入区域、地点或公寓名称';
    }


    console.log($scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri+ '/' + $scope.condUri);
  //获取列表数据
  $http({
    method: 'POST',
    data:{
    },
    url: $scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' + $scope.condUri
  }).then(function successCallback(res) {
    // 请求成功执行代码
    $scope.listData = res.data.data.list;
    $scope.regions = res.data.search.regions;
    $scope.subline = res.data.search.subline;
    $scope.hotSearch = res.data.hot_search;

    $("#loading_pic").hide();
    console.log(res);
  }, function errorCallback(res) {
    console.log('err');
    console.log(res);
    // 请求失败执行代码
  });





  //跳转到楼盘/房源详情页
  $scope.toPropertyDetail = function(num,url){
      if(num == 1){
          //房源
          $location.url('/tab/apart/detail?url='+url);
      }else{
          //楼盘
          $location.url('/tab/property/detail?url='+ url);
      }

  }


  //返回列表
  $(".search-modal-close").click(function(){
    $(".modal").hide();
    $("#drop_tips_wrap").hide();
  });


  //展示搜索页
  $("#searchBox").click(function(){
    $("#searchModal").show();
    //$scope.searchBoxShow = '请输入区域、地点或公寓名称';
  });

  //监听搜索页的搜索框
  $("input[name=q]").bind('input propertychange',function(){
      //查询数据
      $http({
        method: 'POST',
        data:{
          keyword:$("input[name=q]").val(),
          city_id:Storage.get('city_id')
        }
        ,
        url: 'https://' + Variable.url + '/client/search/search/getTipsByKeywordByApp',
      }).then(function successCallback(res) {
        // 请求成功执行代码
        $scope.searchData = res.data.data;
        console.log('suc');
        console.log(res);
      }, function errorCallback(res) {
        console.log('err');
        console.log(res);
        // 请求失败执行代码
      });
      //展示搜索数据
      $("#drop_tips_wrap").show();
  });

  //搜索
  $scope.getSearchListData = function(item){
    var uri = '';
    //获取数据
    /*
    if(item.kh_type == 1){//区域
      angular.forEach(regions,function(re){
          if(re.ct_name == item.kh_value){
            uri = re.uri;
          }
      })
    }else if(item.kh_type == 3){//商圈
      angular.forEach(regions,function(re){
        angular.forEach(re.area,function(ar){
          if(ar.ar_name == item.kh_value){
            uri = ar.uri;
          }
        })
      })
    }else if(item.kh_type == 4){ //地铁
      angular.forEach(subline,function(re){
        angular.forEach(re.subway_station,function(ss){
          if(ss.ss_name == item.kh_value){
            uri = ss.uri;
          }
        })
      })
    }else if(item.kh_type == 5){ //物业

    }else if(item.kh_type == 10){ //楼盘

    }
     */
    $http({
      method: 'POST',
      data:{
        addr:encodeURIComponent(item.kh_value),
        kh_type:item.kh_type,
        city_id:Storage.get('city_id'),
        url:'',
      },
      url: 'https://' + Variable.url + '/client/search/search/keySearchByApp',
    }).then(function successCallback(res) {
      // 请求成功执行代码
      uri = res.data.data;
      getListData(uri);

        $scope.page = 1;
        $scope.stopLoadMore = 1;

        $scope.searchBoxShow =item.kh_value;
        console.log('suc');
        console.log(res);
    }, function errorCallback(res) {
      uri = 'https://' + Variable.url + '/' + $scope.cityUri + '/mini-zufang-list';
      getListData(uri);
      console.log('err');
      console.log(res);
      // 请求失败执行代码
    });


  };

  function getListData(url){
    $http({
      method: 'POST',
      data:{
      },
      url: url
    }).then(function successCallback(res) {
      // 请求成功执行代码
      $scope.listData = res.data.data.list;

        var uri_arr=url.split('/'); //0:"https:"1:""2:"mt.zufun.cn"3:"test"4:"mini-zufang-list"5:""
        $scope.regionUri = uri_arr[4];
        var regionUri_arr = $scope.regionUri.split('-');
        $scope.type1Uri = regionUri_arr[2];
        $scope.placeUri = $scope.regionUri.replace(regionUri_arr[0] + '-' + regionUri_arr[1] + '-' +regionUri_arr[2],'');
        if($scope.placeUri.length>0){
            $scope.regionUri = 'mini-' + $scope.typeUri + '-'+ $scope.type1Uri + $scope.placeUri;
        }else{
            $scope.regionUri = 'mini-' + $scope.typeUri + '-'+ $scope.type1Uri ;
        }



      console.log(res);
    }, function errorCallback(res) {
      console.log('err');
      console.log(res);
      // 请求失败执行代码
    });

    //关闭model
    $(".modal").hide();
    $("#drop_tips_wrap").hide();
  }

  //热门搜索
    $scope.hotSearchdData = function(url,keyword){
        var uri_arr= url.split('/'); //0:"https:"1:""2:"mt.zufun.cn"3:"test"4:"mini-zufang-list"5:""
        $scope.regionUri = uri_arr[4];
        var regionUri_arr = $scope.regionUri.split('-');
        $scope.type1Uri = regionUri_arr[2];
        $scope.placeUri = $scope.regionUri.replace(regionUri_arr[0] + '-' + regionUri_arr[1] + '-' +regionUri_arr[2],'');
        if($scope.placeUri.length>0){
            $scope.regionUri = 'mini-' + $scope.typeUri + '-'+$scope.type1Uri + $scope.placeUri;
        }else{
            $scope.regionUri = 'mini-' + $scope.typeUri + '-'+ $scope.type1Uri ;
        }

        console.log($scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' +$scope.condUri);
        $http({
            method: 'POST',
            data:{
            },
            url: $scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' +$scope.condUri
        }).then(function successCallback(res) {
            // 请求成功执行代码
            $scope.listData = res.data.data.list;
            $scope.page = 1;
            $scope.stopLoadMore = 1;
            $scope.searchBoxShow =keyword;

            $(".modal").hide();
            $("#drop_tips_wrap").hide();
            console.log(res);
        }, function errorCallback(res) {
            console.log('err');
            console.log(res);
            // 请求失败执行代码
        });
    };


  //区域model
    $("#areaBar").click(function(){
        $("#areaModel").toggle();
        $("#rentModel").hide();
        $("#roomModel").hide();
        $("#moreModel").hide();
    });

  //点击区域
    $scope.areaTapClick = function(key){
        console.log('areaTapClick:');
        if(key == -1){
            //更新列表数据
            var uri_arr=$scope.regions[key].uri.split('/'); //0:"https:"1:""2:"mt.zufun.cn"3:"test"4:"mini-zufang-list"5:""
            $scope.regionUri = uri_arr[4];
            var regionUri_arr = $scope.regionUri.split('-');
            $scope.type1Uri = regionUri_arr[2];
            $scope.placeUri = $scope.regionUri.replace(regionUri_arr[0] + '-' + regionUri_arr[1] + '-' +regionUri_arr[2],'');
            if($scope.placeUri.length>0){
                $scope.regionUri = 'mini-' + $scope.typeUri + '-'+$scope.type1Uri + $scope.placeUri;
            }else{
                $scope.regionUri = 'mini-' + $scope.typeUri + '-'+ $scope.type1Uri ;
            }

            console.log($scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' +$scope.condUri);
            $http({
                method: 'POST',
                data:{
                },
                url: $scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' +$scope.condUri
            }).then(function successCallback(res) {
                // 请求成功执行代码
                $scope.listData = res.data.data.list;
                $scope.page = 1;
                $scope.stopLoadMore = 1;

                $scope.searchBoxShow = '请输入区域、地点或公寓名称';
                console.log(res);
            }, function errorCallback(res) {
                console.log('err');
                console.log(res);
                // 请求失败执行代码
            });

            $("#areaModel").hide();
            $scope.currRegion = '区域';
            $scope.currAreaBar = $scope.currRegion;
        }else{
            //显示商圈
            $scope.areas = $scope.regions[key].area;
            $scope.currRegion = $scope.regions[key].ct_name;

            console.log('areas:');
            console.log($scope.areas);
            $(".panel-cell").css("width","33%");
            $("#hotAreaModel").show();

        }
    }

    //点击商圈
    $scope.areasTapClick = function(key){
        console.log('areasTapClick:');
        var uri_arr=$scope.areas[key].uri.split('/'); //0:"https:"1:""2:"mt.zufun.cn"3:"test"4:"mini-zufang-list"5:""
        $scope.regionUri = uri_arr[4];
        var regionUri_arr = $scope.regionUri.split('-');
        $scope.type1Uri = regionUri_arr[2];
        $scope.placeUri = $scope.regionUri.replace(regionUri_arr[0] + '-' + regionUri_arr[1] + '-' +regionUri_arr[2],'');
        if($scope.placeUri.length>0){
            $scope.regionUri = 'mini-' + $scope.typeUri + '-'+ $scope.type1Uri + $scope.placeUri;
        }else{
            $scope.regionUri = 'mini-' + $scope.typeUri + '-'+ $scope.type1Uri ;
        }

        console.log($scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' +$scope.condUri);
        $http({
            method: 'POST',
            data:{
            },
            url:  $scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' +$scope.condUri
        }).then(function successCallback(res) {
            // 请求成功执行代码
            $scope.listData = res.data.data.list;
            $scope.page = 1;
            $scope.stopLoadMore = 1;

            $scope.searchBoxShow = '请输入区域、地点或公寓名称';
            console.log('areaTapClick:');
            console.log($scope.listData);
        }, function errorCallback(res) {
            console.log('err');
            console.log(res);
            // 请求失败执行代码
        });
        $("#areaModel").hide();
        if(key == -1){
            $scope.currAreaBar = $scope.currRegion;
        }else{
            $scope.currArea = $scope.areas[key].ar_name;
            $scope.currAreaBar = $scope.currArea;
        }
        $scope.currSubline = '';
        $scope.currStation = '';
    }


    //点击地铁线路
    $scope.sublineClick = function(key){
        console.log('sublineClick:');
        if(key == -1){
            //更新列表数据
            var uri_arr=$scope.subline[key].uri.split('/'); //0:"https:"1:""2:"mt.zufun.cn"3:"test"4:"mini-zufang-list"5:""
            $scope.regionUri = uri_arr[4];
            var regionUri_arr = $scope.regionUri.split('-');
            $scope.type1Uri = regionUri_arr[2];
            $scope.placeUri = $scope.regionUri.replace(regionUri_arr[0] + '-' + regionUri_arr[1] + '-' +regionUri_arr[2],'');
            if($scope.placeUri.length>0){
                $scope.regionUri = 'mini-' + $scope.typeUri + '-'+ $scope.type1Uri + $scope.placeUri;
            }else{
                $scope.regionUri = 'mini-' + $scope.typeUri + '-'+ $scope.type1Uri ;
            }

            console.log($scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' +$scope.condUri);
            $http({
                method: 'POST',
                data:{
                },
                url: $scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' +$scope.condUri
            }).then(function successCallback(res) {
                // 请求成功执行代码
                $scope.listData = res.data.data.list;
                $scope.page = 1;
                $scope.stopLoadMore = 1;

                $scope.searchBoxShow = '请输入区域、地点或公寓名称';
                console.log('areaTapClick:');
                console.log(res);
            }, function errorCallback(res) {
                console.log('err');
                console.log(res);
                // 请求失败执行代码
            });

            $("#areaModel").hide();
            $scope.currSubline = '地铁';
            $scope.currAreaBar = $scope.currSubline;
        }else{
            //显示商圈
            $scope.station = $scope.subline[key].subway_station;
            $scope.currSubline = $scope.subline[key].subway_name;

            console.log('areas:');
            console.log($scope.currSubline);
            $(".panel-cell").css("width","33%");
            $("#stationModel").show();

        }
    }

    //点击地铁站
    $scope.stationClick = function(key){
        console.log('stationClick:');
        var uri_arr=$scope.station[key].uri.split('/'); //0:"https:"1:""2:"mt.zufun.cn"3:"test"4:"mini-zufang-list"5:""
        $scope.regionUri = uri_arr[4];
        var regionUri_arr = $scope.regionUri.split('-');
        $scope.type1Uri = regionUri_arr[2];
        $scope.placeUri = $scope.regionUri.replace(regionUri_arr[0] + '-' + regionUri_arr[1] + '-' +regionUri_arr[2],'');
        if($scope.placeUri.length>0){
            $scope.regionUri = 'mini-' + $scope.typeUri + '-'+ $scope.type1Uri + $scope.placeUri;
        }else{
            $scope.regionUri = 'mini-' + $scope.typeUri + '-'+ $scope.type1Uri ;
        }

        console.log($scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' +$scope.condUri);
        $http({
            method: 'POST',
            data:{
            },
            url: $scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' +$scope.condUri
        }).then(function successCallback(res) {
            // 请求成功执行代码
            $scope.listData = res.data.data.list;
            $scope.page = 1;
            $scope.stopLoadMore = 1;

            $scope.searchBoxShow = '请输入区域、地点或公寓名称';
        }, function errorCallback(res) {
            console.log('err');
            console.log(res);
            // 请求失败执行代码
        });
        $("#areaModel").hide();
        if(key == -1){
            $scope.currAreaBar = $scope.currSubline;
        }else{
            $scope.currStation = $scope.station[key].ss_name;
            $scope.currAreaBar = $scope.currStation;
        }
        $scope.currRegion = '';
        $scope.currArea = '';
    }


    $("#subway-bar").click(function(){
        $(".panel-cell").css("width","50%");
        $("#subwayModel").show();
        $("#regionModel").hide();
        $("#hotAreaModel").hide();

        $("#area-bar a").css("color","black");
        $("#subway-bar a").css("color","red");
    });

    $("#area-bar").click(function(){
        $(".panel-cell").css("width","50%");
        $("#regionModel").show();
        $("#subwayModel").hide();
        $("#hotAreaModel").hide();

        $("#area-bar a").css("color","red");
        $("#subway-bar a").css("color","black");
    });


    //租金model
    $("#rentBar").click(function(){
        $("#rentModel").toggle();
        $("#areaModel").hide();
        $("#roomModel").hide();
        $("#moreModel").hide();
    });

    //房型model
    $("#roomBar").click(function(){
        $("#roomModel").toggle();
        $("#rentModel").hide();
        $("#areaModel").hide();
        $("#moreModel").hide();
    });

    //更多model
    $("#moreBar").click(function(){
        $("#moreModel").toggle();
        $("#roomModel").hide();
        $("#rentModel").hide();
        $("#areaModel").hide();
    });


    //设置租金范围
    $scope.setPrice = function(){
        console.log('setPrice:');
        $scope.minRent = $("#min-rent").val()>0?$("#min-rent").val():0;
        $scope.maxRent = $("#max-rent").val()>10000?10000: $("#max-rent").val();
        console.log($scope.minRent);
        console.log($scope.maxRent);

        if($scope.minRent>0 || $scope.maxRent>0){
            $scope.priceUri = 'p'+$scope.minRent+ '-p'+$scope.maxRent;
        }else{
            $scope.priceUri = '';
        }
        $scope.condUri =  $scope.priceUri;
        if($scope.teseUri.length>0){
            $scope.condUri = $scope.teseUri + '-' + $scope.condUri;
        }
        if($scope.roomUri.length>0){
            $scope.condUri = $scope.roomUri + '-' + $scope.condUri;
        }

        console.log($scope.initUri + '/' +$scope.cityUri + '/' + $scope.regionUri + '/' + $scope.condUri);
        $http({
            method: 'POST',
            data:{
            },
            url: $scope.initUri + '/' +$scope.cityUri + '/' + $scope.regionUri + '/' + $scope.condUri
        }).then(function successCallback(res) {
            // 请求成功执行代码
            $scope.listData = res.data.data.list;

            $scope.page = 1;
            $scope.stopLoadMore = 1;

        }, function errorCallback(res) {
            console.log('err');
            console.log(res);
            // 请求失败执行代码
        });

        $scope.priceShowName = $scope.minRent + '-' + $scope.maxRent;
        $("#rentModel").hide();
    }

    //重置租金范围
    $scope.resetPrice = function(){
        console.log('resetPrice:');
        $("#min-rent").val('');
        $("#max-rent").val('');
        $scope.minRent = 0;
        $scope.maxRent = 0;
        $scope.priceUri = '';


        $scope.condUri =  $scope.priceUri;
        if($scope.teseUri.length>0){
            $scope.condUri = $scope.teseUri + '-' + $scope.condUri;
        }
        if($scope.roomUri.length>0){
            $scope.condUri = $scope.roomUri + '-' + $scope.condUri;
        }

        console.log( $scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' +$scope.condUri);
        $http({
            method: 'POST',
            data:{
            },
            url: $scope.initUri + '/' +$scope.cityUri + '/' +$scope.regionUri + '/' +$scope.condUri
        }).then(function successCallback(res) {
            // 请求成功执行代码
            $scope.listData = res.data.data.list;

            $scope.page = 1;
            $scope.stopLoadMore = 1;

            console.log('setPrice:');
            console.log($scope.listData);
        }, function errorCallback(res) {
            console.log('err');
            console.log(res);
            // 请求失败执行代码
        });

        $scope.priceShowName = '租金';
        $("#rentModel").hide();
    }


    //户型
    $scope.setRoom = function(i,name){
        console.log('setRoom:');
        if(i>0){
            $scope.roomUri = 'r'+ i;
            $scope.roomShowName = name;
        }else{
            $scope.roomUri = '';
            $scope.roomShowName = '户型';
        }

        $scope.condUri =  $scope.roomUri;
        if($scope.teseUri.length>0){
            $scope.condUri = $scope.teseUri + '-' + $scope.condUri;
        }
        if($scope.priceUri.length>0){
            $scope.condUri = $scope.priceUri + '-' + $scope.condUri;
        }

        console.log($scope.initUri + '/' +$scope.cityUri + '/' + $scope.regionUri + '/' + $scope.condUri);
        $http({
            method: 'POST',
            data:{
            },
            url: $scope.initUri + '/' +$scope.cityUri + '/' + $scope.regionUri + '/' + $scope.condUri
        }).then(function successCallback(res) {
            // 请求成功执行代码
            $scope.listData = res.data.data.list;

            $scope.page = 1;
            $scope.stopLoadMore = 1;

            console.log('setPrice:');
            console.log($scope.listData);
        }, function errorCallback(res) {
            console.log('err');
            console.log(res);
            // 请求失败执行代码
        });

        $("#roomModel").hide();
    }


    //更多
    $scope.setMoreCond = function(){
        console.log('setMoreCond:');

        if($("#rt1").is(':checked')){
            $scope.typeUri = 'zhengzu';
        }
        if($("#rt2").is(':checked')){
            $scope.typeUri = 'hezu';
        }
        if($("#rt3").is(':checked')){
            $scope.typeUri = 'duanzu';
        }
        if($scope.placeUri.length>0){
            $scope.regionUri = 'mini-'+ $scope.typeUri + '-' + $scope.type1Uri +  $scope.placeUri;
        }else{
            $scope.regionUri = 'mini-'+ $scope.typeUri + '-' + $scope.type1Uri;
        }



        $scope.teseUri = '';
        if($("#famous_flat").is(':checked')){
            if($scope.teseUri){
                $scope.teseUri = $scope.teseUri + '-ff1';
            }else{
                $scope.teseUri = 'ff1';
            }
        }
        if($("#subway_room").is(':checked')){
            if($scope.teseUri){
                $scope.teseUri = $scope.teseUri + '-sr1';
            }else{
                $scope.teseUri = 'sr1';
            }
        }
        if($("#free").is(':checked')){
            if($scope.teseUri){
                $scope.teseUri = $scope.teseUri + '-ff1';
            }else{
                $scope.teseUri = 'ff1';
            }
        }
        if($("#fully_furnished").is(':checked')){
            if($scope.teseUri){
                $scope.teseUri = $scope.teseUri + '-sa2-sa6-sa36';
            }else{
                $scope.teseUri = 'sa2-sa6-sa36';
            }
        }
        if($("#toilet").is(':checked')){
            if($scope.teseUri){
                $scope.teseUri = $scope.teseUri + '-sa25';
            }else{
                $scope.teseUri = 'sa25';
            }
        }
        if($("#kitchen").is(':checked')){
            if($scope.teseUri){
                $scope.teseUri = $scope.teseUri + '-sa1';
            }else{
                $scope.teseUri = 'sa1';
            }
        }
        if($("#elevator").is(':checked')){
            if($scope.teseUri){
                $scope.teseUri = $scope.teseUri + '-sa23';
            }else{
                $scope.teseUri = 'sa23';
            }
        }

        $scope.condUri = '';
        if($scope.priceUri.length>0){
            $scope.condUri = $scope.priceUri;
        }
        if($scope.roomUri.length>0){
            if($scope.condUri.length>0){
                $scope.condUri = $scope.condUri + '-' + $scope.roomUri;
            }else{
                $scope.condUri =$scope.roomUri;
            }
        }
        if($scope.teseUri.length>0){
            if($scope.condUri.length>0){
                $scope.condUri = $scope.condUri + '-' + $scope.teseUri;
            }else{
                $scope.condUri =$scope.teseUri;
            }
        }

        console.log($scope.initUri + '/' +$scope.cityUri + '/' + $scope.regionUri + '/' + $scope.condUri);
        $http({
            method: 'POST',
            data:{
            },
            url: $scope.initUri + '/' +$scope.cityUri + '/' + $scope.regionUri + '/' + $scope.condUri
        }).then(function successCallback(res) {
            // 请求成功执行代码
            console.log(res);
            $scope.listData = res.data.data.list;

            $scope.page = 1;
            $scope.stopLoadMore = 1;

            console.log('setMoreCond:');
            console.log($scope.listData);
        }, function errorCallback(res) {
            console.log('err');
            console.log(res);
            // 请求失败执行代码
        });

        $scope.moreShowName = '更多..';
        $("#moreModel").hide();
    }


    $scope.resetMoreCond = function(){
        console.log('resetMoreCond:');

        $("#rt1").prop('checked',false);
        $("#rt2").prop('checked',false);
        $("#rt3").prop('checked',false);

        $("#famous_flat").prop('checked',false);
        $("#subway_room").prop('checked',false);
        $("#free").prop('checked',false);
        $("#fully_furnished").prop('checked',false);
        $("#toilet").prop('checked',false);
        $("#kitchen").prop('checked',false);
        $("#elevator").prop('checked',false);

        $scope.typeUri = 'zufang';
        $scope.teseUri = '';

        if($scope.placeUri.length>0){
            $scope.regionUri = 'mini-'+ $scope.typeUri + '-' +  $scope.type1Uri+  $scope.placeUri;
        }else{
            $scope.regionUri = 'mini-'+ $scope.typeUri + '-' +  $scope.type1Uri;
        }

        $scope.condUri = '';
        if($scope.priceUri.length>0){
            $scope.condUri = $scope.priceUri;
        }
        if($scope.roomUri.length>0){
            if( $scope.condUri.length>0){
                $scope.condUri = $scope.condUri+ '-' +$scope.roomUri;
            }else{
                $scope.condUri = $scope.roomUri;
            }
        }


        console.log($scope.initUri + '/' +$scope.cityUri + '/' + $scope.regionUri + '/' + $scope.condUri);
        $http({
            method: 'POST',
            data:{
            },
            url: $scope.initUri + '/' +$scope.cityUri + '/' + $scope.regionUri + '/' + $scope.condUri
        }).then(function successCallback(res) {
            // 请求成功执行代码
            console.log(res);
            $scope.listData = res.data.data.list;

            $scope.page = 1;
            $scope.stopLoadMore = 1;
        }, function errorCallback(res) {
            console.log('err');
            console.log(res);
            // 请求失败执行代码
        });

        $scope.moreShowName = '更多';
        $("#moreModel").hide();
    }


    //下拉到底
    $scope.scrollFunction = function() {
        // 处理滚动事件的逻辑
        console.log('滚动事件触发！');

    };

    $scope.stopLoadMore = 1;
    $scope.page = 1;

    $scope.loadMoreData = function() {
        // 处理滚动事件的逻辑
        console.log('loadMore！');

        if($scope.listData){
            $scope.page = $scope.page+1;

            var pageUri = 'page'+$scope.page;
            if($scope.condUri.length>0){
                var condUri = $scope.condUri+ '-' +pageUri;
            }else{
                var condUri = pageUri;
            }

            console.log($scope.initUri + '/' +$scope.cityUri + '/' + $scope.regionUri + '/' + condUri);
            $http({
                method: 'POST',
                data:{
                },
                url: 'https://' + Variable.url +  '/client/search/search/ionic_getMoreBuding?url='+$scope.initUri + '/' +$scope.cityUri + '/' + $scope.regionUri + '/' + condUri+'&city_id='+Storage.get('city_id')+'&randmath=123'
            }).then(function successCallback(res) {
                // 请求成功执行代码
                console.log(res);
                //$scope.listData = res.data.list;
                if(res.data.data.isEmpty){
                    $scope.stopLoadMore = false;
                }else{
                    var arr2 = res.data.data.list;
                    for (var i in arr2) {
                        $scope.listData.push(arr2[i])
                    }
                    console.log($scope.listData);
                }
                $scope.$broadcast('scroll.infiniteScrollComplete');
            }, function errorCallback(res) {
                console.log('err');
                console.log(res);
                // 请求失败执行代码
            });
        }else{
          console.log('loadMoreData err');
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }

    };









    })


    //楼盘详情
    .controller('PropertyDetailCtrl', function ($rootScope, $scope, $http, $location, $cordovaGeolocation, Storage, Search, Variable) {
        console.log('PropertyDetailCtrl start:');
        console.log($location.search());
        $scope.hideTabs = true;

        if($location.search().url){
            $scope.initUri = $location.search().url;
            $rootScope.propertyDetailUrl = $location.search().url;
        }else{
            $scope.initUri = $rootScope.propertyDetailUrl;
        }

        //获取页面数据
        $http({
            method: 'POST',
            data:{
            },
            url: $scope.initUri
        }).then(function successCallback(res) {
            // 请求成功执行代码
            console.log(res);
            $scope.picData = res.data.files;
            $scope.total_pic_num = $scope.picData.length;
            console.log($scope.total_pic_num);
            $scope.propertyData = res.data.property_info;
            $scope.aptData = res.data.aparts;
            $scope.description = res.data.description;
            $scope.nearbyProp = res.data.nearbyProp;



            $scope.pic_max_index = $scope.total_pic_num - 1;
            $scope.curr_pic_index = 0;
            $scope.curr_pic = $scope.curr_pic_index+1;

            for (var i=0;i<$scope.total_pic_num;i++)
            {
                if(i > 0){
                    $scope.picData[i].picCss = 'display:none';
                }
            }

            console.log($scope.picData);
        }, function errorCallback(res) {
            console.log('err');
            console.log(res);
            // 请求失败执行代码
        });

        $(".slide-box").on("touchstart", function(e) {
            startX = e.originalEvent.changedTouches[0].pageX,//手指X轴起始位置
                startY = e.originalEvent.changedTouches[0].pageY;//手指Y轴起始位置
        });
        $(".slide-box").on("touchend", function(e) {
            moveEndX = e.originalEvent.changedTouches[0].pageX,//手指X轴离开位置
                moveEndY = e.originalEvent.changedTouches[0].pageY,//手指Y轴起始位置
                X = moveEndX - startX,//左右滑动的距离
                Y = moveEndY - startY;//上下滑动的距离
            if ( X > 150 ) { //X大于0表示左滑，大于100的原因是为了让页面不会那么敏感
                //左滑操作
                $("#list img:eq("+$scope.curr_pic_index+")").hide();
                if($scope.curr_pic_index == 0){
                    $scope.curr_pic_index = $scope.pic_max_index;
                }else{
                    $scope.curr_pic_index = $scope.curr_pic_index-1;
                }
                $("#list img:eq("+$scope.curr_pic_index+")").show();
                $scope.curr_pic = $scope.curr_pic_index+1;
            }
            else if ( X < -150 ) {//X小于0表示右滑，小于-100的原因同左滑
                //右滑操作
                $("#list img:eq("+$scope.curr_pic_index+")").hide();
                if($scope.curr_pic_index == $scope.pic_max_index){
                    $scope.curr_pic_index = 0;
                }else{
                    $scope.curr_pic_index = $scope.curr_pic_index+1;
                }
                $("#list img:eq("+$scope.curr_pic_index+")").show();
                $scope.curr_pic = $scope.curr_pic_index+1;
            }
        });



        $scope.nextPic = function(){
            $("#list img:eq("+$scope.curr_pic_index+")").hide();

            if($scope.curr_pic_index == $scope.pic_max_index){
                $scope.curr_pic_index = 0;
            }else{
                $scope.curr_pic_index = $scope.curr_pic_index+1;
            }

            $("#list img:eq("+$scope.curr_pic_index+")").show();
            $scope.curr_pic = $scope.curr_pic_index+1;
        }

        $scope.prevPic = function(){
            $("#list img:eq("+$scope.curr_pic_index+")").hide();

            if($scope.curr_pic_index == 0){
                $scope.curr_pic_index = $scope.pic_max_index;
            }else{
                $scope.curr_pic_index = $scope.curr_pic_index-1;
            }

            $("#list img:eq("+$scope.curr_pic_index+")").show();
            $scope.curr_pic = $scope.curr_pic_index+1;
        }


        //跳转到楼盘/房源详情页
        $scope.toApartDetail = function(url){
            $location.url('/tab/apart/detail?url='+url);
        }

        //周边楼盘
        $scope.getNearByProperty = function(url){
            $http({
                method: 'POST',
                data:{
                },
                url: url
            }).then(function successCallback(res) {
                // 请求成功执行代码
                console.log(res);
                $scope.picData = res.data.files;
                $scope.total_pic_num = $scope.picData.length;
                console.log($scope.total_pic_num);
                $scope.propertyData = res.data.property_info;
                $scope.aptData = res.data.aparts;
                $scope.description = res.data.description;
                $scope.nearbyProp = res.data.nearbyProp;



                $scope.pic_max_index = $scope.total_pic_num - 1;
                $scope.curr_pic_index = 0;
                $scope.curr_pic = $scope.curr_pic_index+1;

                for (var i=0;i<$scope.total_pic_num;i++)
                {
                    if(i > 0){
                        $scope.picData[i].picCss = 'display:none';
                    }
                }
                console.log($scope.picData);
            }, function errorCallback(res) {
                console.log('err');
                console.log(res);
                // 请求失败执行代码
            });
        }

        //跳转地图
        $scope.toMapPage = function(lng,lat){
            console.log('toMapPage:');
            console.log(lng);
            console.log(lat);
            $location.url('/tab/property/map?lng='+ lng + '&lat='+ lat + '&returnUri=' + $scope.initUri);
        }


        //添加预约
        $scope.addAppoint = function(){
            if(!Storage.get('fu_app_id')){
                //跳到登录
                $location.url('/tab/appointment/quicklogin');
            }

            var apartment_id = $scope.aptData[0].apartment_id;
            console.log(apartment_id);
            $http({
                method: 'GET',
                data:{
                },
                url:  "https://" + Variable.url + '/client/memMng/memAppointment/addAppointmentByIonic?fu_app_id='+Storage.get('fu_app_id')+'&apt_type=1&apartment_id='+apartment_id
            }).then(function successCallback(res) {
                // 请求成功执行代码
                console.log(res);
                $location.url('/tab/appointment');
            }, function errorCallback(res) {
                console.log('err');
                console.log(res);
                // 请求失败执行代码
            });
        }


    })


    //房源详情
    .controller('ApartDetailCtrl', function ($rootScope, $scope, $http, $location, $cordovaGeolocation, Storage, Search, Variable) {
        $scope.hideTabs = true;

        $scope.initUri = $location.search().url;
        console.log('ApartDetailCtrl:');
        console.log($location.search());

        $scope.getMap = function(lon,lat){
            var surroundingMap = new T.Map('apartSurroundingMap');

            surroundingMap.disableScrollWheelZoom();
            surroundingMap.disableDrag();
            var prop_point = new T.LngLat(lon, lat);

            var opts = {
                text: '<span class="map-location-r" style="border:0px;"></span>',
                position: prop_point,
                offset: new T.Point(-30.5, -32)
            };
            var marker = new T.Label(opts);
            surroundingMap.addOverLay(marker);
            surroundingMap.centerAndZoom(prop_point, 15);
        }

        //获取页面数据
        $http({
            method: 'POST',
            data:{
            },
            url: $scope.initUri
        }).then(function successCallback(res) {
            // 请求成功执行代码
            console.log(res);
            $scope.picData = res.data.files;
            $scope.total_pic_num = $scope.picData.length;
            $scope.propertyData = res.data.property_info;
            $scope.aptData = res.data.apart;
            $scope.nearbyAparts = res.data.nearbyAparts;
            $scope.sku = res.data.apart.sku_group.split(',');
            $scope.appoint_count = res.data.appoint_count;

            $scope.ppt_latitude = res.data.property_info.ppt_latitude;
            $scope.ppt_longitude = res.data.property_info.ppt_longitude;
            $scope.getMap($scope.ppt_longitude, $scope.ppt_latitude);
            console.log($scope.sku);

            $scope.pic_max_index = $scope.total_pic_num - 1;
            $scope.curr_pic_index = 0;
            $scope.curr_pic = $scope.curr_pic_index+1;

            for (var i=0;i<$scope.total_pic_num;i++)
            {
                if(i > 0){
                    $scope.picData[i].picCss = 'display:none';
                }
            }
            console.log($scope.picData);
        }, function errorCallback(res) {
            console.log('err');
            console.log(res);
            // 请求失败执行代码
        });


        $(".slide-box").on("touchstart", function(e) {
            startX = e.originalEvent.changedTouches[0].pageX,//手指X轴起始位置
                startY = e.originalEvent.changedTouches[0].pageY;//手指Y轴起始位置
        });
        $(".slide-box").on("touchend", function(e) {
            moveEndX = e.originalEvent.changedTouches[0].pageX,//手指X轴离开位置
                moveEndY = e.originalEvent.changedTouches[0].pageY,//手指Y轴起始位置
                X = moveEndX - startX,//左右滑动的距离
                Y = moveEndY - startY;//上下滑动的距离
            if ( X > 150 ) { //X大于0表示左滑，大于100的原因是为了让页面不会那么敏感
                //左滑操作
                $("#list img:eq("+$scope.curr_pic_index+")").hide();
                if($scope.curr_pic_index == 0){
                    $scope.curr_pic_index = $scope.pic_max_index;
                }else{
                    $scope.curr_pic_index = $scope.curr_pic_index-1;
                }
                $("#list img:eq("+$scope.curr_pic_index+")").show();
                $scope.curr_pic = $scope.curr_pic_index+1;
            }
            else if ( X < -150 ) {//X小于0表示右滑，小于-100的原因同左滑
                //右滑操作
                $("#list img:eq("+$scope.curr_pic_index+")").hide();
                if($scope.curr_pic_index == $scope.pic_max_index){
                    $scope.curr_pic_index = 0;
                }else{
                    $scope.curr_pic_index = $scope.curr_pic_index+1;
                }
                $("#list img:eq("+$scope.curr_pic_index+")").show();
                $scope.curr_pic = $scope.curr_pic_index+1;
            }
        });


        $scope.nextPic = function(){
            $("#list img:eq("+$scope.curr_pic_index+")").hide();

            if($scope.curr_pic_index == $scope.pic_max_index){
                $scope.curr_pic_index = 0;
            }else{
                $scope.curr_pic_index = $scope.curr_pic_index+1;
            }

            $("#list img:eq("+$scope.curr_pic_index+")").show();
            $scope.curr_pic = $scope.curr_pic_index+1;
        }

        $scope.prevPic = function(){
            $("#list img:eq("+$scope.curr_pic_index+")").hide();

            if($scope.curr_pic_index == 0){
                $scope.curr_pic_index = $scope.pic_max_index;
            }else{
                $scope.curr_pic_index = $scope.curr_pic_index-1;
            }

            $("#list img:eq("+$scope.curr_pic_index+")").show();
            $scope.curr_pic = $scope.curr_pic_index+1;
        }

        /*
        var apartSurroundingMap = function () {
            try {
                var target = $("#apartSurroundingMap");
                // 房源周边设施；
                var surroundingMap = new T.Map('apartSurroundingMap');

                surroundingMap.disableScrollWheelZoom(); // 禁用滚轮放大缩小
                surroundingMap.disableDrag(); // 禁用地图拖拽
                var prop_point = new T.LngLat(114.24266661064, 22.72300852046);
                // 创建地图标记点
                var opts = {
                    text: '<span class="map-location-r" style="border:0px;"></span>',
                    position: prop_point, // 位置
                    offset: new T.Point(-10.5, -32) // 偏移量,new T.Point(-10.5, -32)
                }
                var marker = new T.Label(opts); // 添加覆盖物
                surroundingMap.addOverLay(marker);
                surroundingMap.centerAndZoom(prop_point, 15);
            } catch (ex) {
                console.log(ex);
            }
        }();
        */
        /*
        var apartSurroundingMap = function () {
            try {

                var lng = 114.24266661064,
                    lat = 22.72300852046;
                // 房源周边设施；
                var surroundingMap = new T.Map('apartSurroundingMap');

                surroundingMap.disableScrollWheelZoom();
                surroundingMap.disableDrag();
                var prop_point = new T.LngLat($scope.ppt_longitude, $scope.ppt_latitude);

                var opts = {
                    text: '<span class="map-location-r" style="border:0px;"></span>',
                    position: prop_point,
                    offset: new T.Point(-30.5, -32)
                };
                var marker = new T.Label(opts);
                surroundingMap.addOverLay(marker);
                surroundingMap.centerAndZoom(prop_point, 15);
            } catch (ex) {
                console.log(ex);
            }
        }();
      */


        //跳转地图
        $scope.toMapPage = function(lng,lat){
            console.log('toMapPage:');
            console.log(lng);
            console.log(lat);
            $location.url('/tab/property/map?lng='+ lng + '&lat='+ lat + '&returnUri=' + $scope.initUri);
        }


        //添加预约
        $scope.addAppoint = function(){
            if(!Storage.get('fu_app_id')){
                //跳到登录
                $location.url('/tab/appointment/quicklogin');
            }

            $http({
                method: 'GET',
                data:{
                },
                url:  "https://" + Variable.url + '/client/memMng/memAppointment/addAppointmentByIonic?fu_app_id='+Storage.get('fu_app_id')+'&apt_type=1&apartment_id='+$scope.aptData.apartment_id
            }).then(function successCallback(res) {
                // 请求成功执行代码
                console.log(res);
                $location.url('/tab/appointment');
            }, function errorCallback(res) {
                console.log('err');
                console.log(res);
                // 请求失败执行代码
            });
        }


        //猜你喜欢
        $scope.toApartDetail = function(url){
            $http({
                method: 'POST',
                data:{
                },
                url: url
            }).then(function successCallback(res) {
                // 请求成功执行代码
                console.log(res);
                $scope.picData = res.data.files;
                $scope.total_pic_num = $scope.picData.length;
                $scope.propertyData = res.data.property_info;
                $scope.aptData = res.data.apart;
                $scope.nearbyAparts = res.data.nearbyAparts;
                $scope.sku = res.data.apart.sku_group.split(',');
                console.log($scope.sku);

                $scope.ppt_latitude = res.data.property_info.ppt_latitude;
                $scope.ppt_longitude = res.data.property_info.ppt_longitude;
                $scope.getMap($scope.ppt_longitude, $scope.ppt_latitude);

                $scope.pic_max_index = $scope.total_pic_num - 1;
                $scope.curr_pic_index = 0;
                $scope.curr_pic = $scope.curr_pic_index+1;

                for (var i=0;i<$scope.total_pic_num;i++)
                {
                    if(i > 0){
                        $scope.picData[i].picCss = 'display:none';
                    }
                }
                console.log($scope.picData);
            }, function errorCallback(res) {
                console.log('err');
                console.log(res);
                // 请求失败执行代码
            });
        }


        $scope.toPropertyDetail = function(url){
            var url1 = 'https://' + Variable.url + '/'+ url;
           $location.url('/tab/property/detail?url='+ url1);
        }

    })


//楼盘地图
.controller('PropertyMapCtrl', function ($rootScope, $scope, $http, $location, $cordovaGeolocation, Storage, Search, Variable) {

    $scope.hideTabs = true;
console.log('PropertyMapCtrl1');

    $scope.lng = $location.search().lng;
    $scope.lat = $location.search().lat;

    var apartSurroundingMap = function () {
        console.log('PropertyMapCtrl2');
        console.log($scope.lng);
        try {
            var lng = $scope.lng,
                lat = $scope.lat;
            // 房源周边设施；
            var surroundingMap = new T.Map('apartSurroundingMap');

            //surroundingMap.disableScrollWheelZoom();
            //surroundingMap.disableDrag();
            console.log(lng);
            console.log(lat);
            var prop_point = new T.LngLat(lng, lat);
            console.log(prop_point);
            var opts = {
                text: '<span class="map-location-r" style="border:0px;"></span>',
                position: prop_point,
                offset: new T.Point(-30.5, -32)
            };
            console.log('PropertyMapCtrl3');
            var marker = new T.Label(opts);
            surroundingMap.addOverLay(marker);
            surroundingMap.centerAndZoom(prop_point, 15);
        } catch (ex) {
            console.log(ex);
        }
    }();

    //返回按钮
    /*
    $scope.returnUri = $location.search().returnUri;
    $scope.returnAptPage = function(){
        $location.url('/tab/apart/detail?url='+$scope.returnUri);
    }
    */

})

    .controller('PrivacyCtrl', function ($rootScope, $scope, $http, $location, $cordovaGeolocation, Storage, Search, Variable) {
      console.log('PrivacyCtrl start:');
        $scope.hideTabs = true;

        $scope.is_yinsi = 0;
        $scope.is_yonghu = 0;
        $scope.is_fuwu = 1;

        $scope.changeTab = function(type){
           if(type == 'yinsi'){
               $("#yinsi_header").show();
               $("#yinsi_content").show();
               $("#yonghu_header").hide();
               $("#yonghu_content").hide();
               $("#fuwu_header").hide();
               $("#fuwu_content").hide();

               $scope.is_yinsi = 1;
               $scope.is_yonghu = 0;
               $scope.is_fuwu = 0;
           }
            if(type == 'yonghu'){
                $("#yinsi_header").hide();
                $("#yinsi_content").hide();
                $("#yonghu_header").show();
                $("#yonghu_content").show();
                $("#fuwu_header").hide();
                $("#fuwu_content").hide();

                $scope.is_yinsi = 0;
                $scope.is_yonghu = 1;
                $scope.is_fuwu = 0;
            }
            if(type == 'fuwu'){
                $("#yinsi_header").hide();
                $("#yinsi_content").hide();
                $("#yonghu_header").hide();
                $("#yonghu_content").hide();
                $("#fuwu_header").show();
                $("#fuwu_content").show();

                $scope.is_yinsi = 0;
                $scope.is_yonghu = 0;
                $scope.is_fuwu = 1;
            }
        }
    })

.controller('AppointmentDetailCtrl', function ($rootScope, $scope, $http, $location, $cordovaGeolocation, Storage, Search, Variable) {
    console.log('AppointmentDetailCtrl start:');
    $scope.hideTabs = true;
    $scope.detailData = '';
    console.log($location.search());
    if( $location.search().appointment_id){
        $http({
            method: 'GET',
            data:{
            },
            url:  "https://" + Variable.url + '/client/memMng/memAppointment/ionic_apptInfo?fu_app_id='+ Storage.get('fu_app_id')+'&mem_appointment_id='+$location.search().appointment_id
        }).then(function successCallback(res) {
            // 请求成功执行代码
            console.log(res);
            $scope.detailData = res.data.data.data.data;
        }, function errorCallback(res) {
            console.log('err');
            console.log(res);
            // 请求失败执行代码
        });
    }
});

//	.directive("scroll", function ($window) {
//        return {
//            restrict: "A",
//            link: function(scope, element) {
//                element.on('scroll', function(event) {
//                    if (event.target.scrollTop > 0) {
//                        StatusBar.backgroundColorByHexString("#c1c1c1");
//                    } else {
//                        StatusBar.overlaysWebView(true);
//                    }
//                });
//            }
//        };
//    });